% ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
%                                                                  
% Fun - time derivatives of variables - Agregate form              
%   Arguments :                                                    
%      V         - Concentrations of variable species (local)      
%      F         - Concentrations of fixed species (local)         
%      RCT       - Rate constants (local)                          
%      Vdot      - Time derivative of variable species concentrations
%                                                                  
% ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

% ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
%                                                                  
% Generated by KPP - symbolic chemistry Kinetics PreProcessor      
%     KPP is developed at CGRER labs University of Iowa by         
%     Valeriu Damian & Adrian Sandu                                
%                                                                  
% File                 : mech_Fun.m                                
% Time                 : Wed Aug  5 22:31:14 1970                  
% Working directory    : /home/katie/PACT1D/new_mech_May2021/mechanism
% Equation file        : mech.kpp                                  
% Output root filename : mech                                      
%                                                                  
% ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

function  [ Vdot ] =  mech_Fun ( V , F , RCT )


% Local variables                                                  
% A - Rate for each equation                                       
  
 
A=zeros(1,length(RCT)); 
Vdot=zeros(1,length(V)); 
 

% Computation of equation rates                                    
   A(1) = RCT(1)*V(143) ;
   A(2) = RCT(2)*V(143) ;
   A(3) = RCT(3)*V(61) ;
   A(4) = RCT(4)*V(138) ;
   A(5) = RCT(5)*V(132) ;
   A(6) = RCT(6)*V(132) ;
   A(7) = RCT(7)*V(33) ;
   A(8) = RCT(8)*V(75) ;
   A(9) = RCT(9)*V(32) ;
   A(10) = RCT(10)*V(122) ;
   A(11) = RCT(11)*V(122) ;
   A(12) = RCT(12)*V(124) ;
   A(13) = RCT(13)*V(129) ;
   A(14) = RCT(14)*V(78) ;
   A(15) = RCT(15)*V(113) ;
   A(16) = RCT(16)*V(77) ;
   A(17) = RCT(17)*V(85) ;
   A(18) = RCT(18)*V(79) ;
   A(19) = RCT(19)*V(109) ;
   A(20) = RCT(20)*V(89) ;
   A(21) = RCT(21)*V(98) ;
   A(22) = RCT(22)*V(98) ;
   A(23) = RCT(23)*V(98) ;
   A(24) = RCT(24)*V(106) ;
   A(25) = RCT(25)*V(128) ;
   A(26) = RCT(26)*V(116) ;
   A(27) = RCT(27)*V(88) ;
   A(28) = RCT(28)*V(51) ;
   A(29) = RCT(29)*V(127) ;
   A(30) = RCT(30)*V(56) ;
   A(31) = RCT(31)*V(114) ;
   A(32) = RCT(32)*V(60) ;
   A(33) = RCT(33)*V(60) ;
   A(34) = RCT(34)*V(130)*V(143) ;
   A(35) = RCT(35)*V(137)*V(143) ;
   A(36) = RCT(36)*V(140)*V(143) ;
   A(37) = RCT(37)*V(138)*V(143) ;
   A(38) = RCT(38)*V(80)*F(1) ;
   A(39) = RCT(39)*V(80)*V(143) ;
   A(40) = RCT(40)*V(30)*F(1) ;
   A(41) = RCT(41)*V(30)*F(5) ;
   A(42) = RCT(42)*V(30)*F(6) ;
   A(43) = RCT(43)*V(130)*F(3) ;
   A(44) = RCT(44)*V(130)*V(137) ;
   A(45) = RCT(45)*V(137)*V(137) ;
   A(46) = RCT(46)*V(137)*V(137)*F(6) ;
   A(47) = RCT(47)*V(61)*V(130) ;
   A(48) = RCT(48)*V(80)*V(140) ;
   A(49) = RCT(49)*V(130)*V(140) ;
   A(50) = RCT(50)*V(137)*V(140) ;
   A(51) = RCT(51)*V(137)*V(140) ;
   A(52) = RCT(52)*V(140)*V(140)*F(1) ;
   A(53) = RCT(53)*V(33)*V(130) ;
   A(54) = RCT(54)*V(80)*V(138) ;
   A(55) = RCT(55)*V(80)*V(138) ;
   A(56) = RCT(56)*V(130)*V(138) ;
   A(57) = RCT(57)*V(75)*V(130) ;
   A(58) = RCT(58)*V(130)*V(132) ;
   A(59) = RCT(59)*V(132)*V(137) ;
   A(60) = RCT(60)*V(132)*V(140) ;
   A(61) = RCT(61)*V(132)*V(138) ;
   A(62) = RCT(62)*V(132)*V(132) ;
   A(63) = RCT(63)*V(132)*V(138) ;
   A(64) = RCT(64)*V(50) ;
   A(65) = RCT(65)*V(50)*F(6) ;
   A(66) = RCT(66)*V(137)*V(138) ;
   A(67) = RCT(67)*V(32) ;
   A(68) = RCT(68)*V(32)*V(130) ;
   A(69) = RCT(69)*V(18)*V(130) ;
   A(70) = RCT(70)*V(69)*V(130) ;
   A(71) = RCT(71)*V(130)*F(4) ;
   A(72) = RCT(72)*V(45)*V(130) ;
   A(73) = RCT(73)*V(48)*V(130) ;
   A(74) = RCT(74)*V(27)*V(130) ;
   A(75) = RCT(75)*V(25)*V(130) ;
   A(76) = RCT(76)*V(72)*V(130) ;
   A(77) = RCT(77)*V(76)*V(130) ;
   A(78) = RCT(78)*V(118)*V(130) ;
   A(79) = RCT(79)*V(68)*V(130) ;
   A(80) = RCT(80)*V(26)*V(130) ;
   A(81) = RCT(81)*V(84)*V(130) ;
   A(82) = RCT(82)*V(49)*V(130) ;
   A(83) = RCT(83)*V(37)*V(130) ;
   A(84) = RCT(84)*V(38)*V(130) ;
   A(85) = RCT(85)*V(36)*V(130) ;
   A(86) = RCT(86)*V(71)*V(130) ;
   A(87) = RCT(87)*V(59)*V(130) ;
   A(88) = RCT(88)*V(66)*V(130) ;
   A(89) = RCT(89)*V(122)*V(130) ;
   A(90) = RCT(90)*V(124)*V(130) ;
   A(91) = RCT(91)*V(129)*V(130) ;
   A(92) = RCT(92)*V(78)*V(130) ;
   A(93) = RCT(93)*V(77)*V(130) ;
   A(94) = RCT(94)*V(85)*V(130) ;
   A(95) = RCT(95)*V(79)*V(130) ;
   A(96) = RCT(96)*V(109)*V(130) ;
   A(97) = RCT(97)*V(89)*V(130) ;
   A(98) = RCT(98)*V(113)*V(130) ;
   A(99) = RCT(99)*V(98)*V(130) ;
   A(100) = RCT(100)*V(106)*V(130) ;
   A(101) = RCT(101)*V(128)*V(130) ;
   A(102) = RCT(102)*V(116)*V(130) ;
   A(103) = RCT(103)*V(105)*V(130) ;
   A(104) = RCT(104)*V(88)*V(130) ;
   A(105) = RCT(105)*V(52)*V(130) ;
   A(106) = RCT(106)*V(101)*V(130) ;
   A(107) = RCT(107)*V(70)*V(130) ;
   A(108) = RCT(108)*V(39)*V(130) ;
   A(109) = RCT(109)*V(104)*V(130) ;
   A(110) = RCT(110)*V(46)*V(130) ;
   A(111) = RCT(111)*V(83)*V(130) ;
   A(112) = RCT(112)*V(31)*V(130) ;
   A(113) = RCT(113)*V(51)*V(130) ;
   A(114) = RCT(114)*V(127)*V(130) ;
   A(115) = RCT(115)*V(21)*V(130) ;
   A(116) = RCT(116)*V(28)*V(130) ;
   A(117) = RCT(117)*V(54)*V(130) ;
   A(118) = RCT(118)*V(130)*V(134) ;
   A(119) = RCT(119)*V(56)*V(130) ;
   A(120) = RCT(120)*V(60)*V(130) ;
   A(121) = RCT(121)*V(42)*V(130) ;
   A(122) = RCT(122)*V(44)*V(130) ;
   A(123) = RCT(123)*V(114)*V(130) ;
   A(124) = RCT(124)*V(29)*V(130) ;
   A(125) = RCT(125)*V(53)*V(130) ;
   A(126) = RCT(126)*V(72)*V(143) ;
   A(127) = RCT(127)*V(76)*V(143) ;
   A(128) = RCT(128)*V(118)*V(143) ;
   A(129) = RCT(129)*V(68)*V(143) ;
   A(130) = RCT(130)*V(71)*V(143) ;
   A(131) = RCT(131)*V(59)*V(143) ;
   A(132) = RCT(132)*V(66)*V(143) ;
   A(133) = RCT(133)*V(109)*V(143) ;
   A(134) = RCT(134)*V(89)*V(143) ;
   A(135) = RCT(135)*V(113)*V(143) ;
   A(136) = RCT(136)*V(128)*V(143) ;
   A(137) = RCT(137)*V(116)*V(143) ;
   A(138) = RCT(138)*V(105)*V(143) ;
   A(139) = RCT(139)*V(70)*V(143) ;
   A(140) = RCT(140)*V(63)*V(143) ;
   A(141) = RCT(141)*V(72)*V(132) ;
   A(142) = RCT(142)*V(76)*V(132) ;
   A(143) = RCT(143)*V(118)*V(132) ;
   A(144) = RCT(144)*V(68)*V(132) ;
   A(145) = RCT(145)*V(71)*V(132) ;
   A(146) = RCT(146)*V(59)*V(132) ;
   A(147) = RCT(147)*V(66)*V(132) ;
   A(148) = RCT(148)*V(122)*V(132) ;
   A(149) = RCT(149)*V(124)*V(132) ;
   A(150) = RCT(150)*V(129)*V(132) ;
   A(151) = RCT(151)*V(109)*V(132) ;
   A(152) = RCT(152)*V(113)*V(132) ;
   A(153) = RCT(153)*V(98)*V(132) ;
   A(154) = RCT(154)*V(106)*V(132) ;
   A(155) = RCT(155)*V(52)*V(132) ;
   A(156) = RCT(156)*V(101)*V(132) ;
   A(157) = RCT(157)*V(70)*V(132) ;
   A(158) = RCT(158)*V(39)*V(132) ;
   A(159) = RCT(159)*V(44)*V(132) ;
   A(160) = RCT(160)*V(35) ;
   A(161) = RCT(161)*V(93) ;
   A(162) = RCT(162)*V(40) ;
   A(163) = RCT(163)*V(100) ;
   A(164) = RCT(164)*V(41) ;
   A(165) = RCT(165)*V(86) ;
   A(166) = RCT(166)*V(131)*V(138) ;
   A(167) = RCT(167)*V(60) ;
   A(168) = RCT(168)*V(117)*V(138) ;
   A(169) = RCT(169)*V(42) ;
   A(170) = RCT(170)*V(111)*V(138) ;
   A(171) = RCT(171)*V(44) ;
   A(172) = RCT(172)*V(139)*V(140) ;
   A(173) = RCT(173)*V(135)*V(140) ;
   A(174) = RCT(174)*V(140)*V(142) ;
   A(175) = RCT(175)*V(125)*V(140) ;
   A(176) = RCT(176)*V(99)*V(140) ;
   A(177) = RCT(177)*V(92)*V(140) ;
   A(178) = RCT(178)*V(115)*V(140) ;
   A(179) = RCT(179)*V(119)*V(140) ;
   A(180) = RCT(180)*V(91)*V(140) ;
   A(181) = RCT(181)*V(73)*V(140) ;
   A(182) = RCT(182)*V(93)*V(140) ;
   A(183) = RCT(183)*V(94)*V(140) ;
   A(184) = RCT(184)*V(74)*V(140) ;
   A(185) = RCT(185)*V(100)*V(140) ;
   A(186) = RCT(186)*V(90)*V(140) ;
   A(187) = RCT(187)*V(86)*V(140) ;
   A(188) = RCT(188)*V(110)*V(140) ;
   A(189) = RCT(189)*V(108)*V(140) ;
   A(190) = RCT(190)*V(103)*V(140) ;
   A(191) = RCT(191)*V(131)*V(140) ;
   A(192) = RCT(192)*V(117)*V(140) ;
   A(193) = RCT(193)*V(123)*V(140) ;
   A(194) = RCT(194)*V(126)*V(140) ;
   A(195) = RCT(195)*V(136)*V(140) ;
   A(196) = RCT(196)*V(111)*V(140) ;
   A(197) = RCT(197)*V(95)*V(140) ;
   A(198) = RCT(198)*V(107)*V(140) ;
   A(199) = RCT(199)*V(102)*V(140) ;
   A(200) = RCT(200)*V(67)*V(140) ;
   A(201) = RCT(201)*V(64)*V(140) ;
   A(202) = RCT(202)*V(96)*V(140) ;
   A(203) = RCT(203)*V(97)*V(140) ;
   A(204) = RCT(204)*V(82)*V(140) ;
   A(205) = RCT(205)*V(112)*V(140) ;
   A(206) = RCT(206)*V(120)*V(140) ;
   A(207) = RCT(207)*V(87)*V(140) ;
   A(208) = RCT(208)*V(133)*V(140) ;
   A(209) = RCT(209)*V(34)*V(138) ;
   A(210) = RCT(210)*V(55)*V(138) ;
   A(211) = RCT(211)*V(63)*V(138) ;
   A(212) = RCT(212)*V(137)*V(139) ;
   A(213) = RCT(213)*V(135)*V(137) ;
   A(214) = RCT(214)*V(137)*V(142) ;
   A(215) = RCT(215)*V(125)*V(137) ;
   A(216) = RCT(216)*V(99)*V(137) ;
   A(217) = RCT(217)*V(92)*V(137) ;
   A(218) = RCT(218)*V(115)*V(137) ;
   A(219) = RCT(219)*V(119)*V(137) ;
   A(220) = RCT(220)*V(91)*V(137) ;
   A(221) = RCT(221)*V(73)*V(137) ;
   A(222) = RCT(222)*V(93)*V(137) ;
   A(223) = RCT(223)*V(94)*V(137) ;
   A(224) = RCT(224)*V(74)*V(137) ;
   A(225) = RCT(225)*V(100)*V(137) ;
   A(226) = RCT(226)*V(90)*V(137) ;
   A(227) = RCT(227)*V(86)*V(137) ;
   A(228) = RCT(228)*V(110)*V(137) ;
   A(229) = RCT(229)*V(108)*V(137) ;
   A(230) = RCT(230)*V(103)*V(137) ;
   A(231) = RCT(231)*V(131)*V(137) ;
   A(232) = RCT(232)*V(117)*V(137) ;
   A(233) = RCT(233)*V(123)*V(137) ;
   A(234) = RCT(234)*V(126)*V(137) ;
   A(235) = RCT(235)*V(136)*V(137) ;
   A(236) = RCT(236)*V(111)*V(137) ;
   A(237) = RCT(237)*V(95)*V(137) ;
   A(238) = RCT(238)*V(107)*V(137) ;
   A(239) = RCT(239)*V(102)*V(137) ;
   A(240) = RCT(240)*V(96)*V(137) ;
   A(241) = RCT(241)*V(55)*V(137) ;
   A(242) = RCT(242)*V(97)*V(137) ;
   A(243) = RCT(243)*V(82)*V(137) ;
   A(244) = RCT(244)*V(112)*V(137) ;
   A(245) = RCT(245)*V(120)*V(137) ;
   A(246) = RCT(246)*V(87)*V(137) ;
   A(247) = RCT(247)*V(133)*V(137) ;
   A(248) = RCT(248)*V(139)*V(139) ;
   A(249) = RCT(249)*V(135)*V(139) ;
   A(250) = RCT(250)*V(139)*V(142) ;
   A(251) = RCT(251)*V(125)*V(139) ;
   A(252) = RCT(252)*V(99)*V(139) ;
   A(253) = RCT(253)*V(92)*V(139) ;
   A(254) = RCT(254)*V(115)*V(139) ;
   A(255) = RCT(255)*V(119)*V(139) ;
   A(256) = RCT(256)*V(91)*V(139) ;
   A(257) = RCT(257)*V(73)*V(139) ;
   A(258) = RCT(258)*V(93)*V(139) ;
   A(259) = RCT(259)*V(94)*V(139) ;
   A(260) = RCT(260)*V(74)*V(139) ;
   A(261) = RCT(261)*V(100)*V(139) ;
   A(262) = RCT(262)*V(90)*V(139) ;
   A(263) = RCT(263)*V(86)*V(139) ;
   A(264) = RCT(264)*V(110)*V(139) ;
   A(265) = RCT(265)*V(108)*V(139) ;
   A(266) = RCT(266)*V(103)*V(139) ;
   A(267) = RCT(267)*V(131)*V(139) ;
   A(268) = RCT(268)*V(117)*V(139) ;
   A(269) = RCT(269)*V(123)*V(139) ;
   A(270) = RCT(270)*V(126)*V(139) ;
   A(271) = RCT(271)*V(136)*V(139) ;
   A(272) = RCT(272)*V(111)*V(139) ;
   A(273) = RCT(273)*V(95)*V(139) ;
   A(274) = RCT(274)*V(107)*V(139) ;
   A(275) = RCT(275)*V(102)*V(139) ;
   A(276) = RCT(276)*V(67)*V(139) ;
   A(277) = RCT(277)*V(64)*V(139) ;
   A(278) = RCT(278)*V(96)*V(139) ;
   A(279) = RCT(279)*V(97)*V(139) ;
   A(280) = RCT(280)*V(82)*V(139) ;
   A(281) = RCT(281)*V(112)*V(139) ;
   A(282) = RCT(282)*V(120)*V(139) ;
   A(283) = RCT(283)*V(87)*V(139) ;
   A(284) = RCT(284)*V(133)*V(139) ;
   A(285) = RCT(285)*V(131)*V(135) ;
   A(286) = RCT(286)*V(131)*V(142) ;
   A(287) = RCT(287)*V(125)*V(131) ;
   A(288) = RCT(288)*V(99)*V(131) ;
   A(289) = RCT(289)*V(92)*V(131) ;
   A(290) = RCT(290)*V(115)*V(131) ;
   A(291) = RCT(291)*V(119)*V(131) ;
   A(292) = RCT(292)*V(91)*V(131) ;
   A(293) = RCT(293)*V(73)*V(131) ;
   A(294) = RCT(294)*V(93)*V(131) ;
   A(295) = RCT(295)*V(94)*V(131) ;
   A(296) = RCT(296)*V(74)*V(131) ;
   A(297) = RCT(297)*V(100)*V(131) ;
   A(298) = RCT(298)*V(90)*V(131) ;
   A(299) = RCT(299)*V(86)*V(131) ;
   A(300) = RCT(300)*V(110)*V(131) ;
   A(301) = RCT(301)*V(108)*V(131) ;
   A(302) = RCT(302)*V(103)*V(131) ;
   A(303) = RCT(303)*V(131)*V(131) ;
   A(304) = RCT(304)*V(117)*V(131) ;
   A(305) = RCT(305)*V(123)*V(131) ;
   A(306) = RCT(306)*V(126)*V(131) ;
   A(307) = RCT(307)*V(131)*V(136) ;
   A(308) = RCT(308)*V(111)*V(131) ;
   A(309) = RCT(309)*V(95)*V(131) ;
   A(310) = RCT(310)*V(107)*V(131) ;
   A(311) = RCT(311)*V(102)*V(131) ;
   A(312) = RCT(312)*V(67)*V(131) ;
   A(313) = RCT(313)*V(64)*V(131) ;
   A(314) = RCT(314)*V(96)*V(131) ;
   A(315) = RCT(315)*V(97)*V(131) ;
   A(316) = RCT(316)*V(82)*V(131) ;
   A(317) = RCT(317)*V(112)*V(131) ;
   A(318) = RCT(318)*V(120)*V(131) ;
   A(319) = RCT(319)*V(87)*V(131) ;
   A(320) = RCT(320)*V(131)*V(133) ;
   A(321) = RCT(321)*V(132)*V(139) ;
   A(322) = RCT(322)*V(132)*V(135) ;
   A(323) = RCT(323)*V(132)*V(142) ;
   A(324) = RCT(324)*V(125)*V(132) ;
   A(325) = RCT(325)*V(99)*V(132) ;
   A(326) = RCT(326)*V(92)*V(132) ;
   A(327) = RCT(327)*V(115)*V(132) ;
   A(328) = RCT(328)*V(119)*V(132) ;
   A(329) = RCT(329)*V(91)*V(132) ;
   A(330) = RCT(330)*V(73)*V(132) ;
   A(331) = RCT(331)*V(93)*V(132) ;
   A(332) = RCT(332)*V(94)*V(132) ;
   A(333) = RCT(333)*V(74)*V(132) ;
   A(334) = RCT(334)*V(100)*V(132) ;
   A(335) = RCT(335)*V(90)*V(132) ;
   A(336) = RCT(336)*V(86)*V(132) ;
   A(337) = RCT(337)*V(110)*V(132) ;
   A(338) = RCT(338)*V(108)*V(132) ;
   A(339) = RCT(339)*V(103)*V(132) ;
   A(340) = RCT(340)*V(131)*V(132) ;
   A(341) = RCT(341)*V(117)*V(132) ;
   A(342) = RCT(342)*V(123)*V(132) ;
   A(343) = RCT(343)*V(126)*V(132) ;
   A(344) = RCT(344)*V(132)*V(136) ;
   A(345) = RCT(345)*V(111)*V(132) ;
   A(346) = RCT(346)*V(95)*V(132) ;
   A(347) = RCT(347)*V(107)*V(132) ;
   A(348) = RCT(348)*V(102)*V(132) ;
   A(349) = RCT(349)*V(67)*V(132) ;
   A(350) = RCT(350)*V(64)*V(132) ;
   A(351) = RCT(351)*V(96)*V(132) ;
   A(352) = RCT(352)*V(97)*V(132) ;
   A(353) = RCT(353)*V(82)*V(132) ;
   A(354) = RCT(354)*V(112)*V(132) ;
   A(355) = RCT(355)*V(120)*V(132) ;
   A(356) = RCT(356)*V(87)*V(132) ;
   A(357) = RCT(357)*V(132)*V(133) ;
   A(358) = RCT(358)*V(117)*V(117) ;
   A(359) = RCT(359)*V(112)*V(112) ;
   A(360) = RCT(360)*V(112)*V(120) ;
   A(361) = RCT(361)*V(120)*V(120) ;
   A(362) = RCT(362)*V(133)*V(133) ;
   A(363) = RCT(363)*V(117)*V(133) ;
   A(364) = RCT(364)*V(57) ;
   A(365) = RCT(365)*V(43) ;
   A(366) = RCT(366)*V(65) ;
   A(367) = RCT(367)*V(47) ;
   A(368) = RCT(368)*V(62) ;
   A(369) = RCT(369)*V(62) ;
   A(370) = RCT(370)*V(81) ;
   A(371) = RCT(371)*V(141)*V(143) ;
   A(372) = RCT(372)*V(137)*V(141) ;
   A(373) = RCT(373)*V(137)*V(141) ;
   A(374) = RCT(374)*V(61)*V(141) ;
   A(375) = RCT(375)*V(138)*V(141) ;
   A(376) = RCT(376)*V(138)*V(141) ;
   A(377) = RCT(377)*V(132)*V(141) ;
   A(378) = RCT(378)*V(141)*F(4) ;
   A(379) = RCT(379)*V(122)*V(141) ;
   A(380) = RCT(380)*V(62)*V(141) ;
   A(381) = RCT(381)*V(81)*V(130) ;
   A(382) = RCT(382)*V(81)*V(130) ;
   A(383) = RCT(383)*V(81)*V(137) ;
   A(384) = RCT(384)*V(81)*V(140) ;
   A(385) = RCT(385)*V(81)*V(138) ;
   A(386) = RCT(386)*V(81)*V(81) ;
   A(387) = RCT(387)*V(81)*V(81) ;
   A(388) = RCT(388)*V(81)*V(81) ;
   A(389) = RCT(389)*V(57)*V(140) ;
   A(390) = RCT(390)*V(65)*V(130) ;
   A(391) = RCT(391)*V(121)*V(130) ;
   A(392) = RCT(392)*V(47)*V(130) ;
   A(393) = RCT(393)*V(43)*V(130) ;
   A(394) = RCT(394)*V(65)*V(141) ;
   A(395) = RCT(395)*V(81)*V(132) ;
   A(396) = RCT(396)*V(81)*V(132) ;
   A(397) = RCT(397)*V(80)*V(121) ;
   A(398) = RCT(398)*V(65)*V(80) ;
   A(399) = RCT(399)*V(17)*V(130) ;
   A(400) = RCT(400)*V(22)*V(141) ;
   A(401) = RCT(401)*V(22)*V(141) ;
   A(402) = RCT(402)*V(57)*V(141) ;
   A(403) = RCT(403)*V(57)*V(130) ;
   A(404) = RCT(404)*V(80)*V(81) ;
   A(405) = RCT(405)*V(141)*F(3) ;
   A(406) = RCT(406)*V(62)*V(80) ;
   A(407) = RCT(407)*V(23)*V(30) ;
   A(408) = RCT(408)*V(19)*V(130) ;
   A(409) = RCT(409)*V(20)*V(141) ;
   A(410) = RCT(410)*V(81) ;
   A(411) = RCT(411)*V(2) ;
   A(412) = RCT(412)*V(121) ;
   A(413) = RCT(413)*V(3) ;
   A(414) = RCT(414)*V(23) ;
   A(415) = RCT(415)*V(19) ;
   A(416) = RCT(416)*V(122) ;
   A(417) = RCT(417)*V(109) ;
   A(418) = RCT(418)*V(89) ;
   A(419) = RCT(419)*V(129) ;
   A(420) = RCT(420)*V(24) ;
   A(421) = RCT(421)*V(75) ;
   A(422) = RCT(422)*V(24) ;
   A(423) = RCT(423)*V(24) ;
   A(424) = RCT(424)*V(45)*V(141) ;
   A(425) = RCT(425)*V(72)*V(141) ;
   A(426) = RCT(426)*V(124)*V(141) ;
   A(427) = RCT(427)*V(104)*V(141) ;
   A(428) = RCT(428)*V(46)*V(141) ;
   A(429) = RCT(429)*V(48)*V(141) ;
   A(430) = RCT(430)*V(129)*V(141) ;
   A(431) = RCT(431)*V(78)*V(141) ;
   A(432) = RCT(432)*V(77)*V(141) ;
   A(433) = RCT(433)*V(51)*V(141) ;
   A(434) = RCT(434)*V(134)*V(141) ;
   A(435) = RCT(435)*V(60)*V(141) ;
   A(436) = RCT(436)*V(58)*V(140) ;
   A(437) = RCT(437)*V(58)*V(137) ;
   A(438) = RCT(438)*V(58)*V(58) ;
   A(439) = RCT(439)*V(58)*V(139) ;
   A(440) = RCT(440)*V(84)*V(141) ;
   A(441) = RCT(441)*V(49)*V(141) ;
   A(442) = RCT(442)*V(36)*V(141) ;
   A(443) = RCT(443)*V(37)*V(141) ;
   A(444) = RCT(444)*V(38)*V(141) ;
   A(446) = RCT(446)*V(75) ;
   A(447) = RCT(447)*V(32) ;
   A(448) = RCT(448)*V(137) ;
   A(449) = RCT(449)*V(33) ;
   A(450) = RCT(450)*V(50) ;
   A(451) = RCT(451)*V(138) ;
   A(452) = RCT(452)*V(132) ;
   A(453) = RCT(453)*V(143) ;
   A(454) = RCT(454)*V(121) ;
   A(455) = RCT(455)*V(43) ;
   A(456) = RCT(456)*V(62) ;
   A(457) = RCT(457)*V(65)*V(121) ;
   A(458) = RCT(458)*V(62)*V(121) ;
   A(459) = RCT(459)*V(62) ;
   A(460) = RCT(460)*V(50)*V(121) ;
   A(461) = RCT(461)*V(121)*V(130) ;

% Aggregate function                                               
   Vdot(1) = A(167)+A(362)+A(416)+A(417)+A(418)+A(419)+A(421)+A(422) ...
              +A(447)+A(448)+A(449)+A(451)+A(452)+A(453)+A(454)+A(455) ...
              +A(456)+A(458)+A(459)+A(460);
   Vdot(2) = -A(411) ;
   Vdot(3) = -A(413) ;
   Vdot(4) = A(33)+A(70)+A(117)+0.64*A(118)+0.5*A(136)+0.5*A(137)+0.5 ...
              *A(138)+0.5*A(139)+0.5*A(157)+0.44*A(231)+0.44*A(232)+0.4 ...
              *A(267)+0.4*A(268)+2*A(303)+2*A(304)+2*A(358)+A(363);
   Vdot(5) = A(69) ;
   Vdot(6) = A(375) ;
   Vdot(7) = A(378)+A(413) ;
   Vdot(8) = A(379) ;
   Vdot(9) = A(388)+A(396) ;
   Vdot(10) = A(399)+A(407)+A(414) ;
   Vdot(11) = A(400) ;
   Vdot(12) = A(401) ;
   Vdot(13) = A(408) ;
   Vdot(14) = A(409) ;
   Vdot(15) = A(405)+A(412) ;
   Vdot(16) = A(415) ;
   Vdot(17) = -A(399) ;
   Vdot(18) = -A(69) ;
   Vdot(19) = -A(408)-A(415) ;
   Vdot(20) = -A(409) ;
   Vdot(21) = -A(115)+A(228) ;
   Vdot(22) = -A(400)-A(401) ;
   Vdot(23) = -A(407)-A(414) ;
   Vdot(24) = -A(420)-A(422)-A(423)+A(446)+A(450) ;
   Vdot(25) = -A(75) ;
   Vdot(26) = -A(80) ;
   Vdot(27) = -A(74)+0.006*A(127) ;
   Vdot(28) = -A(116)+A(236)+A(237) ;
   Vdot(29) = -A(124)+A(125) ;
   Vdot(30) = A(2)-A(40)-A(41)-A(42)-A(407)+A(410) ;
   Vdot(31) = -A(112)+0.25*A(253) ;
   Vdot(32) = -A(9)+A(66)-A(67)-A(68)-A(447) ;
   Vdot(33) = -A(7)+A(49)-A(53)+A(423)-A(449) ;
   Vdot(34) = A(201)-A(209)+A(277)+A(313)+A(350) ;
   Vdot(35) = 0.763*A(82)-A(160) ;
   Vdot(36) = -A(85)-A(442) ;
   Vdot(37) = -A(83)-A(443) ;
   Vdot(38) = -A(84)-A(444) ;
   Vdot(39) = 0.73*A(105)+0.73*A(106)-A(108)-A(158) ;
   Vdot(40) = 0.763*A(83)+0.763*A(84)-A(162)+A(443)+A(444) ;
   Vdot(41) = 0.763*A(85)-A(164)+A(442) ;
   Vdot(42) = -A(121)+A(168)-A(169) ;
   Vdot(43) = -A(365)+A(380)+A(386)-A(393)+A(394)-A(455)+A(457)+A(458) ...
               +0.5*A(461);
   Vdot(44) = -A(122)-A(159)+A(170)-A(171) ;
   Vdot(45) = -A(72)+0.02*A(127)+0.01*A(128)-A(424) ;
   Vdot(46) = -A(110)+0.25*A(249)-A(428) ;
   Vdot(47) = -A(367)+A(376)-A(392)+A(460) ;
   Vdot(48) = -A(73)+0.015*A(127)+0.01*A(128)-A(429) ;
   Vdot(49) = -A(82)-A(441) ;
   Vdot(50) = A(63)-A(64)-A(65)-A(450)-A(460) ;
   Vdot(51) = -A(28)-A(113)+A(212)-A(433) ;
   Vdot(52) = 0.53*A(81)-A(105)-A(155) ;
   Vdot(53) = -A(125)+A(145)+0.12*A(188) ;
   Vdot(54) = 0.35*A(80)-A(117)+0.37*A(126)+0.03*A(127)+0.15*A(129) ...
               +0.28*A(130)+0.01*A(132)+0.45*A(133)+0.07*A(134)+0.044 ...
               *A(135)+0.25*A(138)+0.07*A(189)+0.07*A(190);
   Vdot(55) = A(27)+0.07*A(105)+0.07*A(106)+0.4*A(155)+0.4*A(156) ...
               -A(210)-A(241);
   Vdot(56) = -A(30)-A(119)+0.11*A(138)+0.41*A(231)+0.41*A(232) ;
   Vdot(57) = -A(364)+A(387)-A(389)+A(395)-A(402)-A(403) ;
   Vdot(58) = A(425)-A(436)-A(437)-2*A(438)-A(439) ;
   Vdot(59) = -A(87)-A(131)-A(146) ;
   Vdot(60) = -A(32)-A(33)-A(120)+A(166)-A(167)-A(435) ;
   Vdot(61) = -A(3)+A(45)+A(46)-A(47)+0.068*A(127)+0.026*A(128)+0.001 ...
               *A(129)+0.09*A(130)+0.02*A(131)+0.02*A(132)-A(374);
   Vdot(62) = -A(368)-A(369)-A(380)+A(385)-A(406)-A(456)-A(458)-A(459) ;
   Vdot(63) = A(108)-A(140)+A(158)+A(203)-A(211)+A(279)+A(315)+A(352) ;
   Vdot(64) = A(200)-A(201)+A(276)-A(277)+A(312)-A(313)+A(349)-A(350) ;
   Vdot(65) = -A(366)+A(383)-A(390)+A(392)+A(393)-A(394)-A(398)+A(403) ...
               -A(457)+A(459);
   Vdot(66) = -A(88)-A(132)-A(147) ;
   Vdot(67) = A(104)-A(200)-A(276)-A(312)-A(349) ;
   Vdot(68) = -A(79)-A(129)-A(144) ;
   Vdot(69) = A(10)+A(11)+A(12)+A(13)+1.22*A(15)+0.67*A(19)+0.7*A(20) ...
               +2*A(21)+A(22)+2*A(23)+A(24)+A(25)+A(26)+A(27)-A(70)+0.35 ...
               *A(80)+A(89)+2*A(99)+A(100)+0.33*A(101)+0.33*A(102)+0.11 ...
               *A(103)+A(107)+0.43*A(126)+0.43*A(127)+0.37*A(128)+0.36 ...
               *A(129)+0.14*A(130)+0.14*A(131)+0.14*A(132)+0.22*A(133) ...
               +0.56*A(134)+0.243*A(135)+1.5*A(136)+1.5*A(137)+1.5 ...
               *A(138)+1.5*A(139)+A(148)+0.668*A(152)+2*A(153)+A(154) ...
               +1.5*A(157)+0.25*A(196)+0.61*A(199)+0.5*A(272)+0.305 ...
               *A(275)+0.167*A(308)+0.5*A(311)+0.33*A(345)+0.61*A(348) ...
               +A(435);
   Vdot(70) = 0.118*A(81)-A(107)-A(139)-A(157)+0.28*A(160)+0.84*A(162) ...
               +0.84*A(164);
   Vdot(71) = -A(86)-A(130)-A(145) ;
   Vdot(72) = -A(76)-A(126)-A(141)-A(425) ;
   Vdot(73) = 0.06*A(82)-A(181)-A(221)-A(257)-A(293)-A(330) ;
   Vdot(74) = 0.06*A(83)+0.06*A(84)+0.06*A(85)-A(184)-A(224)-A(260) ...
               -A(296)-A(333);
   Vdot(75) = -A(8)+A(51)+A(56)-A(57)+0.3*A(59)+2*A(65)+A(148)+A(149) ...
               +A(150)+0.32*A(151)+A(153)+A(154)+0.5*A(155)+0.5*A(156) ...
               +0.5*A(157)+A(158)+A(420)-A(421)-A(446);
   Vdot(76) = -A(77)-A(127)+0.35*A(129)+0.153*A(130)+0.46*A(132) ...
               -A(142);
   Vdot(77) = -A(16)-A(93)+0.13*A(102)+0.06*A(127)+0.042*A(174)+0.033 ...
               *A(175)+0.13*A(178)+0.075*A(323)+0.063*A(324)+0.18*A(327) ...
               -A(432);
   Vdot(78) = -A(14)-A(92)+0.03*A(127)+0.11*A(128)+0.165*A(174)+0.217 ...
               *A(175)+0.06*A(178)+0.2*A(179)+0.11*A(189)+0.095*A(323) ...
               +0.247*A(324)+0.09*A(327)+0.2*A(328)-A(431);
   Vdot(79) = -A(18)+0.024*A(75)-A(95)+A(122)+A(124)+0.07*A(125)+0.01 ...
               *A(127)+0.044*A(128)+0.272*A(175)+0.02*A(179)+0.029 ...
               *A(188)+0.25*A(196)+A(197)+0.32*A(202)+0.016*A(264)+0.5 ...
               *A(273)+0.32*A(278)+0.033*A(300)+0.167*A(308)+0.5*A(309) ...
               +0.32*A(314)+0.275*A(324)+0.04*A(328)+0.033*A(337)+0.33 ...
               *A(345)+A(346)+0.32*A(351);
   Vdot(80) = A(1)+A(4)+A(6)-A(38)-A(39)+A(40)+A(41)-A(48)-A(54)-A(55) ...
               +0.09*A(129)+A(370)-A(397)-A(398)-A(404)-A(406);
   Vdot(81) = A(364)+A(369)-A(370)+A(371)+A(373)+A(377)-A(381)-A(382) ...
               -A(383)-A(384)-A(385)-2*A(386)-2*A(387)-2*A(388)+A(389) ...
               +A(390)-A(395)-A(396)+A(398)+A(400)+2*A(402)-A(404) ...
               +A(406)+A(407)-A(410);
   Vdot(82) = 0.36*A(118)-A(204)-A(243)-A(280)-A(316)-A(353)+A(434) ;
   Vdot(83) = -A(111)+0.25*A(250)+0.25*A(251)+0.25*A(252)+0.25*A(254) ...
               +0.25*A(255)+0.25*A(264)+0.25*A(265)+0.25*A(266)+0.25 ...
               *A(269)+0.25*A(270)+0.25*A(271)+0.25*A(272)+0.25*A(273) ...
               +0.25*A(274)+0.25*A(275)+0.25*A(282);
   Vdot(84) = -A(81)+0.032*A(127)-A(440) ;
   Vdot(85) = 0.216*A(15)-A(17)+0.8*A(31)-A(94)+0.78*A(101)+0.41 ...
               *A(114)+0.017*A(128)+0.53*A(131)+0.028*A(135)+0.039 ...
               *A(175)+0.642*A(176)+0.09*A(179)+0.44*A(189)+0.7*A(199) ...
               +0.464*A(206)+0.497*A(250)+0.618*A(251)+0.652*A(252) ...
               +0.045*A(254)+0.218*A(255)+0.75*A(265)+0.525*A(275)+0.348 ...
               *A(282)+0.662*A(286)+0.824*A(287)+0.642*A(288)+0.06 ...
               *A(290)+0.29*A(291)+A(301)+0.7*A(311)+0.464*A(318)+0.06 ...
               *A(324)+0.869*A(325)+0.11*A(328)+A(338)+0.7*A(348)+0.464 ...
               *A(355)+0.149*A(360)+0.285*A(361);
   Vdot(86) = -A(165)-A(187)-A(227)-A(263)-A(299)-A(336) ;
   Vdot(87) = 0.5*A(155)+0.5*A(156)-A(207)-A(246)-A(283)-A(319)-A(356) ;
   Vdot(88) = -A(27)-A(104)+0.02*A(127)+0.85*A(139)+A(181)+0.5*A(183) ...
               +A(184)+A(257)+A(260)+A(293)+A(296)+A(330)+0.5*A(332) ...
               +A(333)+A(441);
   Vdot(89) = -A(20)-A(97)+0.189*A(130)-A(134)+0.44*A(188)+0.25*A(264) ...
               +0.25*A(300)+0.5*A(337)-A(418);
   Vdot(90) = 0.15*A(162)+0.5*A(163)+0.15*A(164)+0.5*A(165)-A(186) ...
               -A(226)-A(262)-A(298)-A(335);
   Vdot(91) = 0.352*A(81)-A(180)-A(220)-A(256)-A(292)-A(329)+A(440) ;
   Vdot(92) = A(76)-A(177)-A(217)-A(253)-A(289)-A(326) ;
   Vdot(93) = 0.28*A(160)-A(161)-A(182)-A(222)-A(258)-A(294)-A(331) ;
   Vdot(94) = 0.15*A(160)+0.5*A(161)-A(183)-A(223)-A(259)-A(295) ...
               -A(332);
   Vdot(95) = 0.43*A(96)-A(197)-A(237)-A(273)-A(309)-A(346) ;
   Vdot(96) = 0.2*A(105)+0.2*A(106)+0.1*A(155)+0.1*A(156)-A(202) ...
               -A(240)-A(278)-A(314)-A(351);
   Vdot(97) = A(140)-A(203)-A(242)-A(279)-A(315)-A(352) ;
   Vdot(98) = -A(21)-A(22)-A(23)+0.5*A(25)+0.5*A(26)+0.65*A(80)-A(99) ...
               +0.1*A(101)+0.1*A(102)+0.27*A(103)+0.491*A(135)+0.05 ...
               *A(136)+0.05*A(137)+0.48*A(138)+A(139)-A(153)+A(157) ...
               +0.918*A(180)+0.35*A(187)+0.021*A(188)+0.18*A(199)+0.68 ...
               *A(202)+A(204)+A(207)+0.05*A(250)+0.6*A(256)+0.271*A(258) ...
               +0.368*A(263)+0.018*A(264)+0.135*A(275)+0.68*A(278) ...
               +A(280)+0.7*A(283)+0.067*A(286)+0.6*A(292)+0.368*A(299) ...
               +0.024*A(300)+0.18*A(311)+0.68*A(314)+A(316)+0.7*A(319) ...
               +A(329)+0.368*A(336)+0.024*A(337)+0.18*A(348)+0.68*A(351) ...
               +A(353)+A(356);
   Vdot(99) = 0.951*A(75)-A(176)-A(216)-A(252)-A(288)-A(325) ;
   Vdot(100) = 0.308*A(162)-A(163)+0.308*A(164)-A(185)-A(225)-A(261) ...
                -A(297)-A(334);
   Vdot(101) = 0.177*A(82)+0.117*A(83)+0.117*A(84)+0.177*A(85)-A(106) ...
                -A(156)+0.01*A(160)+0.01*A(161)+0.01*A(162)+0.01*A(163) ...
                +0.01*A(164)+0.01*A(165)+A(241);
   Vdot(102) = 0.687*A(98)-A(199)-A(239)-A(275)-A(311)-A(348) ;
   Vdot(103) = A(88)-A(190)-A(230)-A(266)-A(302)-A(339) ;
   Vdot(104) = -A(109)+0.63*A(248)+0.25*A(249)+0.25*A(250)+0.25*A(251) ...
                +0.25*A(252)+0.25*A(253)+0.25*A(254)+0.25*A(255)+0.25 ...
                *A(264)+0.25*A(265)+0.25*A(266)+0.25*A(269)+0.25*A(270) ...
                +0.25*A(271)+0.25*A(272)+0.25*A(273)+0.25*A(274)+0.25 ...
                *A(275)+0.25*A(282)-A(427);
   Vdot(105) = -A(103)-A(138)+0.459*A(180)+0.95*A(185)+1.05*A(186) ...
                +0.177*A(187)+0.459*A(256)+1.05*A(262)+0.186*A(263) ...
                +0.458*A(292)+1.05*A(298)+0.186*A(299)+0.5*A(329)+A(334) ...
                +1.05*A(335)+0.186*A(336);
   Vdot(106) = -A(24)+0.5*A(25)+0.5*A(26)+A(95)-A(100)+0.01*A(101) ...
                +0.01*A(102)+0.01*A(103)+0.5*A(133)+0.54*A(134)+0.003 ...
                *A(135)+0.08*A(136)+0.08*A(137)+0.68*A(151)-A(154)+0.5 ...
                *A(183)+0.95*A(186)+0.6*A(187)+0.54*A(195)+0.5*A(196) ...
                +0.3*A(198)+0.21*A(199)+A(259)+A(262)+0.632*A(263)+0.5 ...
                *A(274)+0.105*A(275)+A(295)+A(298)+0.632*A(299)+0.33 ...
                *A(308)+0.5*A(310)+0.105*A(311)+0.5*A(332)+A(335)+0.632 ...
                *A(336)+0.667*A(345)+A(347)+0.21*A(348);
   Vdot(107) = A(97)-A(198)-A(238)-A(274)-A(310)-A(347) ;
   Vdot(108) = A(87)-A(189)-A(229)-A(265)-A(301)-A(338) ;
   Vdot(109) = -A(19)-A(96)+A(115)+0.39*A(129)+0.461*A(130)+0.79 ...
                *A(132)-A(133)+0.9*A(144)-A(151)+0.28*A(188)+0.159 ...
                *A(264)+0.308*A(266)+0.159*A(300)+0.308*A(302)+0.318 ...
                *A(337)+0.615*A(339)-A(417);
   Vdot(110) = A(86)-A(188)-A(228)-A(264)-A(300)-A(337) ;
   Vdot(111) = 0.33*A(19)+0.3*A(20)+0.57*A(96)+0.21*A(103)+A(116)+0.1 ...
                *A(130)+0.32*A(151)+A(159)-A(170)+A(171)-A(196)-A(236) ...
                -A(272)-A(308)-A(345);
   Vdot(112) = 0.8*A(141)+0.43*A(142)+0.11*A(143)+0.9*A(144)+0.1 ...
                *A(146)+0.71*A(147)-A(205)-A(244)-A(281)-A(317)-A(354)-2 ...
                *A(359)-A(360);
   Vdot(113) = -A(15)+0.7*A(20)-A(98)-A(135)-A(152)+0.68*A(190) ;
   Vdot(114) = -A(31)-A(123)+A(152)+0.065*A(174)+0.136*A(175)+0.261 ...
                *A(176)+0.03*A(178)+0.05*A(179)+0.082*A(180)+0.05*A(182) ...
                +0.05*A(183)+0.05*A(185)+0.05*A(186)+0.05*A(187)+0.18 ...
                *A(189)+A(205)+A(209)+A(210)+A(211)+A(243)+A(244)+A(245) ...
                +A(281)+0.5*A(282)+0.3*A(283)+A(317)+0.3*A(319)+A(354)+2 ...
                *A(359)+1.5*A(360)+A(361);
   Vdot(115) = A(77)-A(178)-A(218)-A(254)-A(290)-A(327) ;
   Vdot(116) = -A(26)-A(102)-A(137)+0.28*A(160)+0.49*A(161)+0.224 ...
                *A(162)+0.49*A(163)+0.224*A(164)+0.49*A(165)+0.459 ...
                *A(180)+0.95*A(182)+0.073*A(187)+0.459*A(256)+A(258) ...
                +A(261)+0.077*A(263)+0.459*A(292)+A(294)+A(297)+0.077 ...
                *A(299)+0.5*A(329)+A(331)+0.077*A(336);
   Vdot(117) = A(91)+0.6*A(136)+0.6*A(137)+A(150)+0.25*A(162)+0.25 ...
                *A(164)-A(168)+A(169)-A(192)-A(232)-A(268)-A(304)-A(341) ...
                -2*A(358)-A(363)+A(430);
   Vdot(118) = -A(78)-A(128)-A(143)+0.05*A(190)+0.192*A(266)+0.192 ...
                *A(302)+0.385*A(339);
   Vdot(119) = A(78)+A(79)-A(179)-A(219)-A(255)-A(291)-A(328) ;
   Vdot(120) = 0.2*A(141)+0.57*A(142)+0.89*A(143)+0.1*A(144)+0.9 ...
                *A(146)+0.29*A(147)-A(206)-A(245)-A(282)-A(318)-A(355) ...
                -A(360)-2*A(361);
   Vdot(121) = A(372)+A(374)+A(378)+A(379)+A(382)-A(391)-A(397)+A(401) ...
                +A(405)+A(409)-A(412)+A(424)+A(426)+A(427)+A(428)+A(429) ...
                +A(430)+A(431)+A(432)+A(433)+A(434)+A(435)+A(436)+A(437) ...
                +2*A(438)+A(439)+A(440)+A(441)+A(442)+A(443)+A(444) ...
                -A(454)-A(457)-A(458)-A(460)-A(461);
   Vdot(122) = -A(10)-A(11)+0.35*A(15)+A(18)+0.67*A(19)+A(22)+A(28) ...
                -A(89)+A(109)+0.35*A(113)+0.35*A(119)+A(120)+A(121)+0.07 ...
                *A(125)+A(126)+0.56*A(127)+0.09*A(128)+0.9*A(129)+0.58 ...
                *A(130)+0.04*A(132)+0.1*A(134)+0.08*A(135)+0.05*A(136) ...
                +0.05*A(137)-A(148)+0.68*A(151)+0.332*A(152)+A(172) ...
                +0.018*A(175)+1.6*A(177)+0.78*A(178)+0.2*A(188)+0.23 ...
                *A(189)+0.43*A(190)+A(193)+0.33*A(194)+0.75*A(196)+0.5 ...
                *A(197)+0.3*A(198)+0.03*A(199)+0.287*A(206)+0.15*A(233) ...
                +1.37*A(248)+0.75*A(249)+0.827*A(250)+0.777*A(251)+0.75 ...
                *A(252)+1.95*A(253)+1.5*A(254)+0.75*A(255)+A(256)+A(257) ...
                +A(258)+A(259)+A(260)+A(261)+A(262)+A(263)+1.31*A(264) ...
                +0.75*A(265)+1.04*A(266)+A(267)+A(268)+1.5*A(269)+A(270) ...
                +0.75*A(271)+1.66*A(272)+1.5*A(273)+1.5*A(274)+0.773 ...
                *A(275)+A(276)+A(277)+A(278)+A(279)+A(280)+A(281)+0.965 ...
                *A(282)+A(283)+A(284)+0.13*A(286)+0.042*A(287)+1.6 ...
                *A(289)+A(290)+0.75*A(300)+0.385*A(302)+A(305)+0.33 ...
                *A(306)+A(308)+A(309)+A(310)+0.03*A(311)+0.287*A(318) ...
                +A(321)+0.024*A(324)+1.6*A(326)+0.79*A(327)+0.75*A(337) ...
                +0.385*A(339)+A(342)+0.33*A(343)+A(345)+A(346)+0.3 ...
                *A(347)+0.03*A(348)+0.287*A(355)+0.202*A(360)+0.504 ...
                *A(361)-A(379)-A(416)+A(427)+A(433)+A(435)+A(439);
   Vdot(123) = A(92)-A(193)-A(233)-A(269)-A(305)-A(342)+A(431) ;
   Vdot(124) = -A(12)-A(90)+A(110)+0.184*A(111)+0.01*A(127)+0.457 ...
                *A(128)+0.42*A(135)-A(149)+A(173)+0.504*A(174)+0.045 ...
                *A(175)+0.012*A(178)+0.81*A(179)+0.75*A(249)+A(285) ...
                +A(322)+0.519*A(323)+0.048*A(324)+0.02*A(327)+0.85 ...
                *A(328)-A(426)+A(428);
   Vdot(125) = A(74)+0.02*A(127)-A(175)-A(215)-A(251)-A(287)-A(324) ;
   Vdot(126) = A(93)-A(194)-A(234)-A(270)-A(306)-A(343)+A(432) ;
   Vdot(127) = -A(29)+0.78*A(102)+0.79*A(103)-A(114)+0.65*A(136)+0.65 ...
                *A(137)+0.68*A(202)+A(207)+A(213)+A(214)+A(215)+A(216) ...
                +A(217)+A(218)+A(219)+A(220)+A(221)+A(222)+A(223)+A(224) ...
                +A(225)+A(226)+A(227)+A(229)+A(230)+0.85*A(233)+A(234) ...
                +A(235)+A(238)+A(239)+A(240)+A(242)+A(246)+A(247)+0.68 ...
                *A(278)+0.7*A(283)+0.68*A(314)+0.7*A(319)+0.68*A(351) ...
                +A(356);
   Vdot(128) = -A(25)-A(101)-A(136)+0.7*A(137)+0.7*A(138)+0.5*A(183) ...
                +0.95*A(186)+0.7*A(187)+0.67*A(194)+A(259)+A(262)+0.737 ...
                *A(263)+0.334*A(270)+0.5*A(271)+A(295)+A(298)+0.737 ...
                *A(299)+0.334*A(306)+0.5*A(307)+0.5*A(332)+A(335)+0.737 ...
                *A(336)+0.67*A(343)+A(344);
   Vdot(129) = -A(13)+0.434*A(15)+A(29)+0.2*A(31)+0.025*A(75)-A(91) ...
                +0.4*A(101)+A(107)+0.719*A(111)+A(112)+0.08*A(114)+0.44 ...
                *A(127)+0.73*A(128)+0.65*A(131)+0.1*A(134)-A(150)+0.332 ...
                *A(152)+0.132*A(174)+0.203*A(175)+0.15*A(176)+0.2*A(177) ...
                +0.44*A(178)+0.68*A(179)+0.27*A(188)+0.43*A(189)+0.46 ...
                *A(195)+0.7*A(198)+0.27*A(199)+1.24*A(206)+0.198*A(250) ...
                +0.251*A(251)+0.197*A(252)+0.15*A(253)+0.705*A(254)+1.28 ...
                *A(255)+0.023*A(264)+0.75*A(265)+1.75*A(274)+0.203 ...
                *A(275)+0.93*A(282)+0.273*A(286)+0.381*A(287)+0.217 ...
                *A(288)+0.2*A(289)+0.94*A(290)+1.71*A(291)+0.031*A(300) ...
                +A(301)+2.3*A(310)+0.27*A(311)+1.24*A(318)+0.147*A(323) ...
                +0.241*A(324)+0.203*A(325)+0.2*A(326)+0.47*A(327)+0.72 ...
                *A(328)+0.031*A(337)+A(338)+0.7*A(347)+0.27*A(348)+1.24 ...
                *A(355)+0.64*A(360)+1.21*A(361)-A(419)-A(430);
   Vdot(130) = 2*A(3)+A(7)+A(8)+0.2*A(9)+0.34*A(19)+A(28)+A(29)+A(30) ...
                -A(34)+A(35)+2*A(42)-A(43)-A(44)-A(47)-A(49)+A(50)-A(53) ...
                -A(56)-A(57)-A(58)+0.7*A(59)-A(68)-A(69)-A(70)-A(71) ...
                -A(72)-A(73)-A(74)-A(75)-A(76)-A(77)-A(78)-A(79)-0.35 ...
                *A(80)-A(81)-A(82)-A(83)-A(84)-A(85)-A(86)-A(87)-A(88) ...
                -A(89)-A(90)-A(91)-A(92)-A(93)-A(94)-A(95)-A(96)-A(97) ...
                -A(98)-A(99)-A(100)-A(101)-A(102)-A(103)-A(104)-A(105) ...
                -A(106)-A(107)-A(108)-A(109)-A(110)-A(111)-A(112)-0.65 ...
                *A(113)-0.99*A(114)-A(116)-A(117)-A(118)-0.65*A(119) ...
                -A(120)-A(121)-A(122)-A(123)-A(124)-A(125)+0.08*A(126) ...
                +0.22*A(127)+0.46*A(128)+0.28*A(129)+0.25*A(130)+0.85 ...
                *A(131)+0.85*A(132)+0.19*A(133)+0.16*A(134)+0.1*A(135) ...
                +0.05*A(136)+0.05*A(137)+0.05*A(138)+0.05*A(139)+0.5 ...
                *A(157)+0.28*A(160)+0.49*A(161)+0.158*A(162)+0.39*A(163) ...
                +0.158*A(164)+0.39*A(165)+0.44*A(231)+0.44*A(232)+0.15 ...
                *A(233)+A(366)+A(373)-A(381)-A(382)-A(390)-A(391)-A(392) ...
                -A(393)+A(394)+A(397)+A(398)-A(399)-A(403)-A(408)+A(433) ...
                -A(461);
   Vdot(131) = A(14)+0.784*A(15)+A(16)+A(17)+A(18)+0.67*A(19)+A(24) ...
                +0.25*A(25)+0.25*A(26)+A(32)+A(90)+0.313*A(98)+A(100) ...
                +0.65*A(119)+0.09*A(128)+0.15*A(129)+0.1*A(130)+0.1 ...
                *A(133)+0.28*A(134)+0.002*A(135)+A(149)+A(154)-A(166) ...
                +A(167)-A(191)+A(193)+0.23*A(195)+0.25*A(196)+0.7*A(198) ...
                -A(231)+0.15*A(233)-A(267)+0.5*A(269)+0.269*A(272)+1.16 ...
                *A(274)-A(285)-A(286)-A(287)-A(288)-A(289)-A(290)-A(291) ...
                -A(292)-A(293)-A(294)-A(295)-A(296)-A(297)-A(298)-A(299) ...
                -A(300)-A(301)-A(302)-2*A(303)-A(304)-0.5*A(305)-A(306) ...
                -A(307)-0.833*A(308)-A(309)+0.16*A(310)-A(311)-A(312) ...
                -A(313)-A(314)-A(315)-A(316)-A(317)-A(318)-A(319)-A(320) ...
                -A(340)+A(342)+0.33*A(345)+0.7*A(347)+A(426)+A(436) ...
                +A(437)+2*A(438)+A(439);
   Vdot(132) = -A(5)-A(6)+0.2*A(9)+A(33)+A(37)+A(55)+A(57)-A(58)-A(59) ...
                -A(60)-A(61)-2*A(62)-A(63)+A(64)+A(120)+A(121)-A(141) ...
                -A(142)-A(143)-A(144)-A(145)-A(146)-A(147)-A(148)-A(149) ...
                -A(150)-A(151)-A(152)-A(153)-A(154)-A(155)-A(156)-A(157) ...
                -A(158)-A(159)-A(321)-A(322)-A(323)-A(324)-A(325)-A(326) ...
                -A(327)-A(328)-A(329)-A(330)-A(331)-A(332)-A(333)-A(334) ...
                -A(335)-A(336)-A(337)-A(338)-A(339)-A(340)-A(341)-A(342) ...
                -A(343)-A(344)-A(345)-A(346)-A(347)-A(348)-A(349)-A(350) ...
                -A(351)-A(352)-A(353)-A(354)-A(355)-A(356)-A(357)+A(368) ...
                -A(377)+A(380)-A(395)-A(396)+A(406)-A(452);
   Vdot(133) = 0.34*A(19)+0.2*A(25)+0.2*A(26)+A(107)+0.07*A(114)+0.35 ...
                *A(119)+A(120)+A(121)+A(124)+0.13*A(129)+0.01*A(134)+0.1 ...
                *A(135)+0.6*A(136)+0.6*A(137)+0.68*A(151)+A(152)+0.089 ...
                *A(174)+0.235*A(175)+0.416*A(176)+0.16*A(195)+0.7*A(198) ...
                -A(208)-A(247)+0.026*A(250)+0.191*A(251)+0.281*A(252) ...
                +1.16*A(274)-A(284)+0.026*A(286)+0.191*A(287)+0.208 ...
                *A(288)+1.16*A(310)-A(320)+0.092*A(323)+0.485*A(324) ...
                +0.563*A(325)+0.7*A(347)-A(357)-2*A(362)-A(363);
   Vdot(134) = -A(118)+0.06*A(127)+0.017*A(128)+0.07*A(132)+0.07 ...
                *A(134)+0.25*A(138)+0.15*A(231)+0.15*A(232)+0.1*A(267) ...
                +0.1*A(268)+0.125*A(269)+0.067*A(272)+0.292*A(274)+0.5 ...
                *A(285)+0.5*A(286)+0.5*A(287)+0.495*A(288)+0.5*A(289) ...
                +0.5*A(290)+0.5*A(291)+0.5*A(300)+A(301)+0.5*A(302)+0.75 ...
                *A(305)+0.5*A(306)+0.5*A(307)+0.583*A(308)+0.5*A(309) ...
                +1.083*A(310)+0.5*A(311)+0.5*A(318)-A(434);
   Vdot(135) = A(13)+0.5*A(16)+A(17)+A(72)+0.06*A(127)+0.07*A(128)+0.2 ...
                *A(131)+0.16*A(132)-A(173)+0.048*A(174)+0.231*A(175) ...
                +0.133*A(176)+A(192)-A(213)+0.44*A(232)-A(249)+0.026 ...
                *A(250)+0.14*A(251)+0.09*A(252)-A(285)+0.026*A(286)+0.14 ...
                *A(287)+0.067*A(288)+A(304)-A(322)+0.503*A(323)+0.28 ...
                *A(324)+0.18*A(325)+A(341)+2*A(358)+A(363)+A(424);
   Vdot(136) = A(94)+0.02*A(129)+0.42*A(131)+0.42*A(132)-A(195)-A(235) ...
                -A(271)-A(307)-A(344);
   Vdot(137) = 0.8*A(9)+2*A(11)+A(12)+A(13)+1.22*A(15)+A(18)+0.66 ...
                *A(19)+2*A(23)+A(24)+1.5*A(25)+1.5*A(26)+A(27)+A(28) ...
                +A(29)+A(31)+A(34)-A(35)+A(43)-A(44)-2*A(45)-2*A(46) ...
                +A(47)-A(50)-A(51)+A(58)-A(59)-A(66)+A(67)+A(69)+A(70) ...
                +0.049*A(75)+0.35*A(80)+0.648*A(81)+0.177*A(82)+0.177 ...
                *A(83)+0.177*A(84)+0.177*A(85)+A(89)+A(95)+A(99)+0.52 ...
                *A(101)+0.52*A(102)+0.56*A(103)+0.73*A(105)+0.73*A(106) ...
                +A(107)+A(109)+A(110)+A(111)+A(112)+A(117)+0.15*A(126) ...
                +0.32*A(127)+0.07*A(128)+0.3*A(129)+0.25*A(130)+0.1 ...
                *A(131)+0.1*A(132)+0.14*A(133)+0.11*A(134)+0.072*A(135) ...
                +A(136)+A(137)+A(138)+1.5*A(139)+A(148)+A(152)+A(153) ...
                +1.5*A(157)+0.29*A(160)+0.01*A(161)+0.308*A(162)+0.01 ...
                *A(163)+0.308*A(164)+0.01*A(165)+A(172)+A(173)+0.66 ...
                *A(174)+0.2*A(175)+0.606*A(176)+A(177)+0.78*A(178)+0.83 ...
                *A(179)+0.918*A(180)+0.95*A(182)+0.5*A(183)+0.95*A(185) ...
                +0.95*A(186)+0.95*A(187)+0.88*A(188)+0.82*A(189)+A(190) ...
                +0.67*A(194)+0.77*A(195)+0.75*A(196)+0.5*A(197)+0.3 ...
                *A(198)+A(199)+A(202)+A(204)+A(205)-A(212)-A(213)-A(214) ...
                -A(215)-A(216)-A(217)-A(218)-A(219)-A(220)-A(221)-A(222) ...
                -A(223)-A(224)-A(225)-A(226)-A(227)-A(228)-A(229)-A(230) ...
                -A(231)-A(232)-A(233)-A(234)-A(235)-A(236)-A(237)-A(238) ...
                -A(239)-A(240)-A(241)-A(242)-A(243)-A(244)-A(245)-A(246) ...
                -A(247)+0.74*A(248)+A(249)+0.894*A(250)+0.842*A(251) ...
                +0.91*A(252)+A(253)+A(254)+A(255)+1.6*A(256)+A(257)+2 ...
                *A(258)+2*A(259)+A(260)+2*A(261)+2*A(262)+2*A(263) ...
                +A(264)+A(265)+A(266)+0.9*A(267)+0.9*A(268)+0.5*A(269) ...
                +0.834*A(270)+A(271)+0.5*A(272)+A(273)+A(274)+A(275) ...
                +A(276)+A(277)+2*A(278)+A(279)+A(280)+2*A(281)+0.5 ...
                *A(282)+A(283)+A(284)+0.5*A(285)+0.394*A(286)+0.342 ...
                *A(287)+0.303*A(288)+0.5*A(289)+0.5*A(290)+0.5*A(291) ...
                +0.6*A(292)+A(294)+A(295)+A(297)+A(298)+A(299)+0.5 ...
                *A(300)+0.5*A(301)+0.5*A(302)+0.33*A(306)+0.5*A(307)+0.5 ...
                *A(308)+0.5*A(309)+0.5*A(310)+0.5*A(311)+2*A(314)+A(315) ...
                +A(317)+A(319)+A(321)+A(322)+0.254*A(323)+0.488*A(324) ...
                +0.82*A(325)+A(326)+0.79*A(327)+0.86*A(328)+A(329) ...
                +A(331)+0.5*A(332)+A(334)+A(335)+A(336)+A(337)+A(338) ...
                +A(339)+0.67*A(343)+A(344)+A(345)+A(346)+0.3*A(347) ...
                +A(348)+A(351)+A(353)+A(354)+A(359)+0.5*A(360)-A(372) ...
                -A(373)+A(374)+A(381)-A(383)+A(427)+A(428)-A(437)+A(439) ...
                -A(448);
   Vdot(138) = -A(4)+A(6)+A(8)+0.8*A(9)+A(31)+A(32)+A(36)-A(37)+A(48) ...
                +A(50)+2*A(52)+A(53)-A(54)-A(55)-A(56)+A(58)+0.7*A(59)+2 ...
                *A(60)+2*A(62)-A(63)+A(64)-A(66)+A(67)+A(68)+A(122) ...
                +A(123)+A(124)+0.68*A(151)+0.5*A(157)+A(159)-A(166) ...
                +A(167)-A(168)+A(169)-A(170)+A(171)+A(172)+A(173)+0.935 ...
                *A(174)+0.864*A(175)+0.739*A(176)+A(177)+0.97*A(178) ...
                +0.95*A(179)+0.918*A(180)+A(181)+0.95*A(182)+0.95*A(183) ...
                +A(184)+0.95*A(185)+0.95*A(186)+0.95*A(187)+0.88*A(188) ...
                +0.82*A(189)+A(190)+A(191)+A(192)+A(193)+A(194)+A(195) ...
                +A(196)+A(197)+A(198)+A(199)+A(200)+A(201)+A(202)+A(203) ...
                +A(204)+A(205)+2*A(206)+2*A(207)+A(208)-A(209)-A(210) ...
                -A(211)+A(273)+0.5*A(282)+0.7*A(283)+A(309)+A(318)+0.7 ...
                *A(319)+A(321)+A(322)+A(323)+A(324)+A(325)+A(326)+A(327) ...
                +A(328)+A(329)+A(330)+A(331)+A(332)+A(333)+A(334)+A(335) ...
                +A(336)+A(337)+A(338)+A(339)+A(340)+A(341)+A(342)+A(343) ...
                +A(344)+A(345)+A(346)+A(347)+A(348)+A(349)+A(350)+A(351) ...
                +A(352)+A(353)+A(354)+2*A(355)+2*A(356)+A(357)+0.5 ...
                *A(360)+A(361)+A(367)+A(369)-A(375)-A(376)+A(377)+A(384) ...
                -A(385)+A(389)+A(392)+A(395)+A(396)+A(435)+A(436)-A(451);
   Vdot(139) = A(12)+A(14)+0.5*A(16)+0.3*A(20)+A(30)+A(33)+A(71)+0.65 ...
                *A(113)+0.64*A(118)+0.08*A(127)+0.32*A(128)+0.03*A(129) ...
                +0.08*A(130)+0.008*A(135)-A(172)+0.131*A(174)+0.051 ...
                *A(175)+A(191)-A(212)+0.44*A(231)-2*A(248)-A(249)-0.92 ...
                *A(250)-0.982*A(251)-A(252)-A(253)-A(254)-A(255)-A(256) ...
                -A(257)-A(258)-A(259)-A(260)-A(261)-A(262)-A(263)-A(264) ...
                -A(265)-A(266)-0.1*A(267)-0.1*A(268)-A(269)-A(270) ...
                -A(271)-0.75*A(272)-A(273)-A(274)-A(275)-A(276)-A(277) ...
                -A(278)-A(279)-A(280)-A(281)-A(282)-A(283)-A(284)+0.5 ...
                *A(285)+0.58*A(286)+0.518*A(287)+0.5*A(288)+0.5*A(289) ...
                +0.5*A(290)+0.5*A(291)+A(292)+A(293)+A(294)+A(295) ...
                +A(296)+A(297)+A(298)+A(299)+0.5*A(300)+0.5*A(301)+0.5 ...
                *A(302)+2*A(303)+A(304)+0.5*A(305)+0.5*A(306)+0.5*A(307) ...
                +0.5*A(308)+0.5*A(309)+0.5*A(310)+0.5*A(311)+A(312) ...
                +A(313)+A(314)+A(315)+A(316)+A(317)+0.5*A(318)+A(319) ...
                +A(320)-A(321)+0.14*A(323)+0.055*A(324)+A(340)-A(439);
   Vdot(140) = A(4)+A(5)+A(7)-A(36)-A(48)-A(49)-A(50)-A(51)-2*A(52) ...
                +A(54)-A(60)+A(61)-A(172)-A(173)-A(174)-A(175)-A(176) ...
                -A(177)-A(178)-A(179)-A(180)-A(181)-A(182)-A(183)-A(184) ...
                -A(185)-A(186)-A(187)-A(188)-A(189)-A(190)-A(191)-A(192) ...
                -A(193)-A(194)-A(195)-A(196)-A(197)-A(198)-A(199)-A(200) ...
                -A(201)-A(202)-A(203)-A(204)-A(205)-A(206)-A(207)-A(208) ...
                -A(384)-A(389)+A(411)-A(436);
   Vdot(141) = 2*A(365)+A(366)+A(367)+A(368)+A(370)-A(371)-A(372) ...
                -A(373)-A(374)-A(375)-A(376)-A(377)-A(378)-A(379)-A(380) ...
                +A(381)+A(384)+A(387)+A(388)+A(391)+A(393)-A(394)+A(397) ...
                -A(400)-A(401)-A(402)+A(404)-A(405)-A(409)+A(410)+A(411) ...
                +A(412)+A(413)+A(414)+A(415)-A(424)-A(425)-A(426)-A(427) ...
                -A(428)-A(429)-A(430)-A(431)-A(432)-A(433)-A(434)-A(435) ...
                -A(440)-A(441)-A(442)-A(443)-A(444);
   Vdot(142) = A(73)+0.44*A(114)+A(123)+0.04*A(127)+0.04*A(128)-A(174) ...
                -A(214)-A(250)-A(286)-A(323)+A(429);
   Vdot(143) = -A(1)-A(2)-A(34)-A(35)-A(36)-A(37)+A(38)-A(39)-A(126) ...
                -A(127)-A(128)-A(129)-A(130)-A(131)-A(132)-A(133)-A(134) ...
                -A(135)-A(136)-A(137)-A(138)-A(139)-A(140)+A(364)-A(371) ...
                -A(453);

   Vdot = Vdot(:);

      
return

% End of Fun function                                              
% ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~


