% ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
%                                                                  
% ReactantProd - Reactant Products in each equation                
%   Arguments :                                                    
%      V         - Concentrations of variable species (local)      
%      F         - Concentrations of fixed species (local)         
%      ARP       - Reactant product in each equation               
%                                                                  
% ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

% ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
%                                                                  
% Generated by KPP - symbolic chemistry Kinetics PreProcessor      
%     KPP is developed at CGRER labs University of Iowa by         
%     Valeriu Damian & Adrian Sandu                                
%                                                                  
% File                 : mech_ReactantProd.m                       
% Time                 : Wed Aug 12 06:01:47 4433491               
% Working directory    : /home/ktuite/1D_model/Version_april_18_CalNexTest/mechanism
% Equation file        : mech.kpp                                  
% Output root filename : mech                                      
%                                                                  
% ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

function  [ ARP ] =  mech_ReactantProd ( V , F )


% Reactant Products in each equation are useful in the             
%     stoichiometric formulation of mass action law                
   ARP(1) = V(178) ;
   ARP(2) = V(178) ;
   ARP(3) = V(98) ;
   ARP(4) = V(170) ;
   ARP(5) = V(171) ;
   ARP(6) = V(171) ;
   ARP(7) = V(53) ;
   ARP(8) = V(107) ;
   ARP(9) = V(67) ;
   ARP(10) = V(166) ;
   ARP(11) = V(166) ;
   ARP(12) = V(144) ;
   ARP(13) = V(149) ;
   ARP(14) = V(94) ;
   ARP(15) = V(145) ;
   ARP(16) = V(96) ;
   ARP(17) = V(116) ;
   ARP(18) = V(114) ;
   ARP(19) = V(141) ;
   ARP(20) = V(126) ;
   ARP(21) = V(127) ;
   ARP(22) = V(127) ;
   ARP(23) = V(127) ;
   ARP(24) = V(135) ;
   ARP(25) = V(153) ;
   ARP(26) = V(136) ;
   ARP(27) = V(123) ;
   ARP(28) = V(66) ;
   ARP(29) = V(162) ;
   ARP(30) = V(84) ;
   ARP(31) = V(148) ;
   ARP(32) = V(78) ;
   ARP(33) = V(78) ;
   ARP(34) = V(174)*V(178) ;
   ARP(35) = V(177)*V(178) ;
   ARP(36) = V(168)*V(178) ;
   ARP(37) = V(170)*V(178) ;
   ARP(38) = V(180)*F(1) ;
   ARP(39) = V(178)*V(180) ;
   ARP(40) = V(57)*F(1) ;
   ARP(41) = V(57)*F(5) ;
   ARP(42) = V(57)*F(6) ;
   ARP(43) = V(174)*F(3) ;
   ARP(44) = V(174)*V(177) ;
   ARP(45) = V(177)*V(177) ;
   ARP(46) = V(177)*V(177)*F(6) ;
   ARP(47) = V(98)*V(174) ;
   ARP(48) = V(168)*V(180) ;
   ARP(49) = V(168)*V(174) ;
   ARP(50) = V(168)*V(177) ;
   ARP(51) = V(168)*V(177) ;
   ARP(52) = V(168)*V(168)*F(1) ;
   ARP(53) = V(53)*V(174) ;
   ARP(54) = V(170)*V(180) ;
   ARP(55) = V(170)*V(180) ;
   ARP(56) = V(170)*V(174) ;
   ARP(57) = V(107)*V(174) ;
   ARP(58) = V(171)*V(174) ;
   ARP(59) = V(171)*V(177) ;
   ARP(60) = V(168)*V(171) ;
   ARP(61) = V(170)*V(171) ;
   ARP(62) = V(171)*V(171) ;
   ARP(63) = V(170)*V(171) ;
   ARP(64) = V(89) ;
   ARP(65) = V(89)*F(6) ;
   ARP(66) = V(170)*V(177) ;
   ARP(67) = V(67) ;
   ARP(68) = V(67)*V(174) ;
   ARP(69) = V(33)*V(174) ;
   ARP(70) = V(101)*V(174) ;
   ARP(71) = V(174)*F(4) ;
   ARP(72) = V(63)*V(174) ;
   ARP(73) = V(61)*V(174) ;
   ARP(74) = V(50)*V(174) ;
   ARP(75) = V(45)*V(174) ;
   ARP(76) = V(82)*V(174) ;
   ARP(77) = V(129)*V(174) ;
   ARP(78) = V(157)*V(174) ;
   ARP(79) = V(103)*V(174) ;
   ARP(80) = V(46)*V(174) ;
   ARP(81) = V(71)*V(174) ;
   ARP(82) = V(41)*V(174) ;
   ARP(83) = V(43)*V(174) ;
   ARP(84) = V(44)*V(174) ;
   ARP(85) = V(42)*V(174) ;
   ARP(86) = V(105)*V(174) ;
   ARP(87) = V(90)*V(174) ;
   ARP(88) = V(97)*V(174) ;
   ARP(89) = V(166)*V(174) ;
   ARP(90) = V(144)*V(174) ;
   ARP(91) = V(149)*V(174) ;
   ARP(92) = V(94)*V(174) ;
   ARP(93) = V(96)*V(174) ;
   ARP(94) = V(116)*V(174) ;
   ARP(95) = V(114)*V(174) ;
   ARP(96) = V(141)*V(174) ;
   ARP(97) = V(126)*V(174) ;
   ARP(98) = V(145)*V(174) ;
   ARP(99) = V(127)*V(174) ;
   ARP(100) = V(135)*V(174) ;
   ARP(101) = V(153)*V(174) ;
   ARP(102) = V(136)*V(174) ;
   ARP(103) = V(134)*V(174) ;
   ARP(104) = V(123)*V(174) ;
   ARP(105) = V(91)*V(174) ;
   ARP(106) = V(133)*V(174) ;
   ARP(107) = V(95)*V(174) ;
   ARP(108) = V(72)*V(174) ;
   ARP(109) = V(110)*V(174) ;
   ARP(110) = V(64)*V(174) ;
   ARP(111) = V(113)*V(174) ;
   ARP(112) = V(65)*V(174) ;
   ARP(113) = V(66)*V(174) ;
   ARP(114) = V(162)*V(174) ;
   ARP(115) = V(35)*V(174) ;
   ARP(116) = V(55)*V(174) ;
   ARP(117) = V(81)*V(174) ;
   ARP(118) = V(163)*V(174) ;
   ARP(119) = V(84)*V(174) ;
   ARP(120) = V(78)*V(174) ;
   ARP(121) = V(74)*V(174) ;
   ARP(122) = V(76)*V(174) ;
   ARP(123) = V(148)*V(174) ;
   ARP(124) = V(56)*V(174) ;
   ARP(125) = V(80)*V(174) ;
   ARP(126) = V(82)*V(178) ;
   ARP(127) = V(129)*V(178) ;
   ARP(128) = V(157)*V(178) ;
   ARP(129) = V(103)*V(178) ;
   ARP(130) = V(105)*V(178) ;
   ARP(131) = V(90)*V(178) ;
   ARP(132) = V(97)*V(178) ;
   ARP(133) = V(141)*V(178) ;
   ARP(134) = V(126)*V(178) ;
   ARP(135) = V(145)*V(178) ;
   ARP(136) = V(153)*V(178) ;
   ARP(137) = V(136)*V(178) ;
   ARP(138) = V(134)*V(178) ;
   ARP(139) = V(95)*V(178) ;
   ARP(140) = V(92)*V(178) ;
   ARP(141) = V(82)*V(171) ;
   ARP(142) = V(129)*V(171) ;
   ARP(143) = V(157)*V(171) ;
   ARP(144) = V(103)*V(171) ;
   ARP(145) = V(105)*V(171) ;
   ARP(146) = V(90)*V(171) ;
   ARP(147) = V(97)*V(171) ;
   ARP(148) = V(166)*V(171) ;
   ARP(149) = V(144)*V(171) ;
   ARP(150) = V(149)*V(171) ;
   ARP(151) = V(141)*V(171) ;
   ARP(152) = V(145)*V(171) ;
   ARP(153) = V(127)*V(171) ;
   ARP(154) = V(135)*V(171) ;
   ARP(155) = V(91)*V(171) ;
   ARP(156) = V(133)*V(171) ;
   ARP(157) = V(95)*V(171) ;
   ARP(158) = V(72)*V(171) ;
   ARP(159) = V(76)*V(171) ;
   ARP(160) = V(54) ;
   ARP(161) = V(124) ;
   ARP(162) = V(58) ;
   ARP(163) = V(118) ;
   ARP(164) = V(59) ;
   ARP(165) = V(120) ;
   ARP(166) = V(164)*V(170) ;
   ARP(167) = V(78) ;
   ARP(168) = V(159)*V(170) ;
   ARP(169) = V(74) ;
   ARP(170) = V(140)*V(170) ;
   ARP(171) = V(76) ;
   ARP(172) = V(165)*V(168) ;
   ARP(173) = V(158)*V(168) ;
   ARP(174) = V(160)*V(168) ;
   ARP(175) = V(152)*V(168) ;
   ARP(176) = V(132)*V(168) ;
   ARP(177) = V(115)*V(168) ;
   ARP(178) = V(146)*V(168) ;
   ARP(179) = V(155)*V(168) ;
   ARP(180) = V(130)*V(168) ;
   ARP(181) = V(106)*V(168) ;
   ARP(182) = V(124)*V(168) ;
   ARP(183) = V(121)*V(168) ;
   ARP(184) = V(104)*V(168) ;
   ARP(185) = V(118)*V(168) ;
   ARP(186) = V(119)*V(168) ;
   ARP(187) = V(120)*V(168) ;
   ARP(188) = V(142)*V(168) ;
   ARP(189) = V(143)*V(168) ;
   ARP(190) = V(139)*V(168) ;
   ARP(191) = V(164)*V(168) ;
   ARP(192) = V(159)*V(168) ;
   ARP(193) = V(154)*V(168) ;
   ARP(194) = V(147)*V(168) ;
   ARP(195) = V(161)*V(168) ;
   ARP(196) = V(140)*V(168) ;
   ARP(197) = V(125)*V(168) ;
   ARP(198) = V(138)*V(168) ;
   ARP(199) = V(137)*V(168) ;
   ARP(200) = V(100)*V(168) ;
   ARP(201) = V(93)*V(168) ;
   ARP(202) = V(128)*V(168) ;
   ARP(203) = V(131)*V(168) ;
   ARP(204) = V(112)*V(168) ;
   ARP(205) = V(150)*V(168) ;
   ARP(206) = V(151)*V(168) ;
   ARP(207) = V(122)*V(168) ;
   ARP(208) = V(156)*V(168) ;
   ARP(209) = V(69)*V(170) ;
   ARP(210) = V(83)*V(170) ;
   ARP(211) = V(92)*V(170) ;
   ARP(212) = V(165)*V(177) ;
   ARP(213) = V(158)*V(177) ;
   ARP(214) = V(160)*V(177) ;
   ARP(215) = V(152)*V(177) ;
   ARP(216) = V(132)*V(177) ;
   ARP(217) = V(115)*V(177) ;
   ARP(218) = V(146)*V(177) ;
   ARP(219) = V(155)*V(177) ;
   ARP(220) = V(130)*V(177) ;
   ARP(221) = V(106)*V(177) ;
   ARP(222) = V(124)*V(177) ;
   ARP(223) = V(121)*V(177) ;
   ARP(224) = V(104)*V(177) ;
   ARP(225) = V(118)*V(177) ;
   ARP(226) = V(119)*V(177) ;
   ARP(227) = V(120)*V(177) ;
   ARP(228) = V(142)*V(177) ;
   ARP(229) = V(143)*V(177) ;
   ARP(230) = V(139)*V(177) ;
   ARP(231) = V(164)*V(177) ;
   ARP(232) = V(159)*V(177) ;
   ARP(233) = V(154)*V(177) ;
   ARP(234) = V(147)*V(177) ;
   ARP(235) = V(161)*V(177) ;
   ARP(236) = V(140)*V(177) ;
   ARP(237) = V(125)*V(177) ;
   ARP(238) = V(138)*V(177) ;
   ARP(239) = V(137)*V(177) ;
   ARP(240) = V(128)*V(177) ;
   ARP(241) = V(83)*V(177) ;
   ARP(242) = V(131)*V(177) ;
   ARP(243) = V(112)*V(177) ;
   ARP(244) = V(150)*V(177) ;
   ARP(245) = V(151)*V(177) ;
   ARP(246) = V(122)*V(177) ;
   ARP(247) = V(156)*V(177) ;
   ARP(248) = V(165)*V(165) ;
   ARP(249) = V(158)*V(165) ;
   ARP(250) = V(160)*V(165) ;
   ARP(251) = V(152)*V(165) ;
   ARP(252) = V(132)*V(165) ;
   ARP(253) = V(115)*V(165) ;
   ARP(254) = V(146)*V(165) ;
   ARP(255) = V(155)*V(165) ;
   ARP(256) = V(130)*V(165) ;
   ARP(257) = V(106)*V(165) ;
   ARP(258) = V(124)*V(165) ;
   ARP(259) = V(121)*V(165) ;
   ARP(260) = V(104)*V(165) ;
   ARP(261) = V(118)*V(165) ;
   ARP(262) = V(119)*V(165) ;
   ARP(263) = V(120)*V(165) ;
   ARP(264) = V(142)*V(165) ;
   ARP(265) = V(143)*V(165) ;
   ARP(266) = V(139)*V(165) ;
   ARP(267) = V(164)*V(165) ;
   ARP(268) = V(159)*V(165) ;
   ARP(269) = V(154)*V(165) ;
   ARP(270) = V(147)*V(165) ;
   ARP(271) = V(161)*V(165) ;
   ARP(272) = V(140)*V(165) ;
   ARP(273) = V(125)*V(165) ;
   ARP(274) = V(138)*V(165) ;
   ARP(275) = V(137)*V(165) ;
   ARP(276) = V(100)*V(165) ;
   ARP(277) = V(93)*V(165) ;
   ARP(278) = V(128)*V(165) ;
   ARP(279) = V(131)*V(165) ;
   ARP(280) = V(112)*V(165) ;
   ARP(281) = V(150)*V(165) ;
   ARP(282) = V(151)*V(165) ;
   ARP(283) = V(122)*V(165) ;
   ARP(284) = V(156)*V(165) ;
   ARP(285) = V(158)*V(164) ;
   ARP(286) = V(160)*V(164) ;
   ARP(287) = V(152)*V(164) ;
   ARP(288) = V(132)*V(164) ;
   ARP(289) = V(115)*V(164) ;
   ARP(290) = V(146)*V(164) ;
   ARP(291) = V(155)*V(164) ;
   ARP(292) = V(130)*V(164) ;
   ARP(293) = V(106)*V(164) ;
   ARP(294) = V(124)*V(164) ;
   ARP(295) = V(121)*V(164) ;
   ARP(296) = V(104)*V(164) ;
   ARP(297) = V(118)*V(164) ;
   ARP(298) = V(119)*V(164) ;
   ARP(299) = V(120)*V(164) ;
   ARP(300) = V(142)*V(164) ;
   ARP(301) = V(143)*V(164) ;
   ARP(302) = V(139)*V(164) ;
   ARP(303) = V(164)*V(164) ;
   ARP(304) = V(159)*V(164) ;
   ARP(305) = V(154)*V(164) ;
   ARP(306) = V(147)*V(164) ;
   ARP(307) = V(161)*V(164) ;
   ARP(308) = V(140)*V(164) ;
   ARP(309) = V(125)*V(164) ;
   ARP(310) = V(138)*V(164) ;
   ARP(311) = V(137)*V(164) ;
   ARP(312) = V(100)*V(164) ;
   ARP(313) = V(93)*V(164) ;
   ARP(314) = V(128)*V(164) ;
   ARP(315) = V(131)*V(164) ;
   ARP(316) = V(112)*V(164) ;
   ARP(317) = V(150)*V(164) ;
   ARP(318) = V(151)*V(164) ;
   ARP(319) = V(122)*V(164) ;
   ARP(320) = V(156)*V(164) ;
   ARP(321) = V(165)*V(171) ;
   ARP(322) = V(158)*V(171) ;
   ARP(323) = V(160)*V(171) ;
   ARP(324) = V(152)*V(171) ;
   ARP(325) = V(132)*V(171) ;
   ARP(326) = V(115)*V(171) ;
   ARP(327) = V(146)*V(171) ;
   ARP(328) = V(155)*V(171) ;
   ARP(329) = V(130)*V(171) ;
   ARP(330) = V(106)*V(171) ;
   ARP(331) = V(124)*V(171) ;
   ARP(332) = V(121)*V(171) ;
   ARP(333) = V(104)*V(171) ;
   ARP(334) = V(118)*V(171) ;
   ARP(335) = V(119)*V(171) ;
   ARP(336) = V(120)*V(171) ;
   ARP(337) = V(142)*V(171) ;
   ARP(338) = V(143)*V(171) ;
   ARP(339) = V(139)*V(171) ;
   ARP(340) = V(164)*V(171) ;
   ARP(341) = V(159)*V(171) ;
   ARP(342) = V(154)*V(171) ;
   ARP(343) = V(147)*V(171) ;
   ARP(344) = V(161)*V(171) ;
   ARP(345) = V(140)*V(171) ;
   ARP(346) = V(125)*V(171) ;
   ARP(347) = V(138)*V(171) ;
   ARP(348) = V(137)*V(171) ;
   ARP(349) = V(100)*V(171) ;
   ARP(350) = V(93)*V(171) ;
   ARP(351) = V(128)*V(171) ;
   ARP(352) = V(131)*V(171) ;
   ARP(353) = V(112)*V(171) ;
   ARP(354) = V(150)*V(171) ;
   ARP(355) = V(151)*V(171) ;
   ARP(356) = V(122)*V(171) ;
   ARP(357) = V(156)*V(171) ;
   ARP(358) = V(159)*V(159) ;
   ARP(359) = V(150)*V(150) ;
   ARP(360) = V(150)*V(151) ;
   ARP(361) = V(151)*V(151) ;
   ARP(362) = V(156)*V(156) ;
   ARP(363) = V(156)*V(159) ;
   ARP(364) = V(111) ;
   ARP(365) = V(75) ;
   ARP(366) = V(117) ;
   ARP(367) = V(77) ;
   ARP(368) = V(108) ;
   ARP(369) = V(108) ;
   ARP(370) = V(167) ;
   ARP(371) = V(175) ;
   ARP(372) = V(70) ;
   ARP(373) = V(85) ;
   ARP(374) = V(60) ;
   ARP(375) = V(102) ;
   ARP(376) = V(102) ;
   ARP(377) = V(172) ;
   ARP(378) = V(87) ;
   ARP(379) = V(47) ;
   ARP(380) = V(109) ;
   ARP(381) = V(73) ;
   ARP(382) = V(48) ;
   ARP(383) = V(49) ;
   ARP(384) = V(178)*V(179) ;
   ARP(385) = V(177)*V(179) ;
   ARP(386) = V(177)*V(179) ;
   ARP(387) = V(98)*V(179) ;
   ARP(388) = V(170)*V(179) ;
   ARP(389) = V(170)*V(179) ;
   ARP(390) = V(171)*V(179) ;
   ARP(391) = V(179)*F(4) ;
   ARP(392) = V(166)*V(179) ;
   ARP(393) = V(108)*V(179) ;
   ARP(394) = V(167)*V(174) ;
   ARP(395) = V(167)*V(174) ;
   ARP(396) = V(167)*V(177) ;
   ARP(397) = V(167)*V(168) ;
   ARP(398) = V(167)*V(170) ;
   ARP(399) = V(167)*V(167) ;
   ARP(400) = V(167)*V(167) ;
   ARP(401) = V(167)*V(167) ;
   ARP(402) = V(111)*V(168) ;
   ARP(403) = V(117)*V(174) ;
   ARP(404) = V(86)*V(174) ;
   ARP(405) = V(77)*V(174) ;
   ARP(406) = V(75)*V(174) ;
   ARP(407) = V(117)*V(179) ;
   ARP(408) = V(167)*V(171) ;
   ARP(409) = V(167)*V(171) ;
   ARP(410) = V(86)*V(180) ;
   ARP(411) = V(117)*V(180) ;
   ARP(412) = V(32)*V(174) ;
   ARP(413) = V(36)*V(179) ;
   ARP(414) = V(36)*V(179) ;
   ARP(415) = V(111)*V(179) ;
   ARP(416) = V(111)*V(174) ;
   ARP(417) = V(167)*V(180) ;
   ARP(418) = V(179)*F(3) ;
   ARP(419) = V(108)*V(180) ;
   ARP(420) = V(37)*V(57) ;
   ARP(421) = V(34)*V(174) ;
   ARP(422) = V(88)*V(179) ;
   ARP(423) = V(169)*V(178) ;
   ARP(424) = V(169)*V(177) ;
   ARP(425) = V(166)*V(169) ;
   ARP(426) = V(169)*V(170) ;
   ARP(427) = V(175)*V(177) ;
   ARP(428) = V(168)*V(175) ;
   ARP(429) = V(170)*V(175) ;
   ARP(430) = V(175)*V(175) ;
   ARP(431) = V(175)*V(175) ;
   ARP(432) = V(79)*V(174) ;
   ARP(433) = V(70)*V(174) ;
   ARP(434) = V(62)*V(174) ;
   ARP(435) = V(169)*V(171) ;
   ARP(436) = V(171)*V(175) ;
   ARP(437) = V(79)*V(180) ;
   ARP(438) = V(102)*V(180) ;
   ARP(439) = V(174)*V(175) ;
   ARP(440) = V(88)*V(169) ;
   ARP(441) = V(88)*V(169) ;
   ARP(442) = V(88)*V(175) ;
   ARP(443) = V(178)*V(181) ;
   ARP(444) = V(177)*V(181) ;
   ARP(445) = V(170)*V(181) ;
   ARP(446) = V(171)*V(181) ;
   ARP(447) = V(172)*V(177) ;
   ARP(448) = V(168)*V(172) ;
   ARP(449) = V(170)*V(172) ;
   ARP(450) = V(68)*V(168) ;
   ARP(451) = V(51)*V(174) ;
   ARP(452) = V(109)*V(174) ;
   ARP(453) = V(109)*V(171) ;
   ARP(454) = V(109)*V(180) ;
   ARP(455) = V(172)*V(180) ;
   ARP(456) = V(168)*V(181) ;
   ARP(457) = V(47)*V(47) ;
   ARP(458) = V(52)*V(52) ;
   ARP(459) = V(171)*V(172) ;
   ARP(460) = V(88)*V(172) ;
   ARP(461) = V(111)*V(169) ;
   ARP(462) = V(175)*V(181) ;
   ARP(463) = V(167)*V(175) ;
   ARP(464) = V(167)*V(175) ;
   ARP(465) = V(62)*V(179) ;
   ARP(466) = V(38)*V(179) ;
   ARP(467) = V(39)*V(179) ;
   ARP(468) = V(40)*V(179) ;
   ARP(469) = V(167) ;
   ARP(470) = V(2) ;
   ARP(471) = V(3) ;
   ARP(472) = V(68) ;
   ARP(473) = V(99) ;
   ARP(474) = V(99) ;
   ARP(475) = V(52) ;
   ARP(476) = V(4) ;
   ARP(477) = V(62) ;
   ARP(478) = V(39) ;
   ARP(479) = V(86) ;
   ARP(480) = V(5) ;
   ARP(481) = V(37) ;
   ARP(482) = V(34) ;
   ARP(483) = V(38) ;
   ARP(484) = V(40) ;
   ARP(485) = V(6) ;
   ARP(486) = V(7) ;
   ARP(487) = V(8) ;
   ARP(488) = V(1)*F(2) ;
   ARP(489) = V(107) ;
   ARP(490) = V(67) ;
   ARP(491) = V(177) ;
   ARP(492) = V(53) ;
   ARP(493) = V(89) ;
   ARP(494) = V(170) ;
   ARP(495) = V(171) ;
   ARP(496) = V(178) ;
   ARP(497) = V(117)*V(176) ;
   ARP(498) = V(108)*V(176) ;
   ARP(499) = V(85)*V(173) ;
   ARP(500) = V(87)*V(173) ;
   ARP(501) = V(102)*V(173) ;
   ARP(502) = V(86) ;
   ARP(503) = V(79) ;
   ARP(504) = V(51) ;
   ARP(505) = V(117)*V(173) ;
   ARP(506) = V(87)*V(176) ;
   ARP(507) = V(108)*V(173) ;
   ARP(508) = V(108) ;
   ARP(509) = V(89)*V(176) ;
   ARP(510) = V(89)*V(173) ;
   ARP(511) = V(174)*V(176) ;
   ARP(512) = V(102)*V(176) ;
   ARP(513) = V(102) ;
   ARP(514) = V(85)*V(176) ;
   ARP(515) = V(99)*V(176) ;
   ARP(516) = V(99)*V(173) ;
      
return

% End of ReactantProd function                                     
% ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~


