% ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
%                                                                  
% Shuffle_kpp2user - function to restore concentrations from KPP to USER
%   Arguments :                                                    
%      V         - Concentrations of variable species (local)      
%      V_USER    - Concentration of variable species in USER's order
%                                                                  
% ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

% ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
%                                                                  
% Generated by KPP - symbolic chemistry Kinetics PreProcessor      
%     KPP is developed at CGRER labs University of Iowa by         
%     Valeriu Damian & Adrian Sandu                                
%                                                                  
% File                 : mech_Shuffle_kpp2user.m                   
% Time                 : Wed Dec 31 16:00:00 1969                  
% Working directory    : /home/katie/PACT1D/new_mech_May2021/mechanism
% Equation file        : mech.kpp                                  
% Output root filename : mech                                      
%                                                                  
% ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

function  [ V_USER ] =  mech_Shuffle_kpp2user ( V )

   V_USER(1) = V(1) ;
   V_USER(2) = V(124) ;
   V_USER(3) = V(26) ;
   V_USER(4) = V(131) ;
   V_USER(5) = V(78) ;
   V_USER(6) = V(123) ;
   V_USER(7) = V(87) ;
   V_USER(8) = V(96) ;
   V_USER(9) = V(129) ;
   V_USER(10) = V(59) ;
   V_USER(11) = V(108) ;
   V_USER(12) = V(64) ;
   V_USER(13) = V(34) ;
   V_USER(14) = V(88) ;
   V_USER(15) = V(67) ;
   V_USER(16) = V(84) ;
   V_USER(17) = V(91) ;
   V_USER(18) = V(55) ;
   V_USER(19) = V(69) ;
   V_USER(20) = V(4) ;
   V_USER(21) = V(101) ;
   V_USER(22) = V(128) ;
   V_USER(23) = V(116) ;
   V_USER(24) = V(105) ;
   V_USER(25) = V(68) ;
   V_USER(26) = V(46) ;
   V_USER(27) = V(70) ;
   V_USER(28) = V(72) ;
   V_USER(29) = V(31) ;
   V_USER(30) = V(92) ;
   V_USER(31) = V(45) ;
   V_USER(32) = V(135) ;
   V_USER(33) = V(98) ;
   V_USER(34) = V(61) ;
   V_USER(35) = V(48) ;
   V_USER(36) = V(142) ;
   V_USER(37) = V(27) ;
   V_USER(38) = V(125) ;
   V_USER(39) = V(25) ;
   V_USER(40) = V(99) ;
   V_USER(41) = V(122) ;
   V_USER(42) = V(79) ;
   V_USER(43) = V(75) ;
   V_USER(44) = V(32) ;
   V_USER(45) = V(130) ;
   V_USER(46) = V(137) ;
   V_USER(47) = V(33) ;
   V_USER(48) = V(21) ;
   V_USER(49) = V(71) ;
   V_USER(50) = V(53) ;
   V_USER(51) = V(110) ;
   V_USER(52) = V(85) ;
   V_USER(53) = V(136) ;
   V_USER(54) = V(66) ;
   V_USER(55) = V(103) ;
   V_USER(56) = V(111) ;
   V_USER(57) = V(109) ;
   V_USER(58) = V(28) ;
   V_USER(59) = V(39) ;
   V_USER(60) = V(63) ;
   V_USER(61) = V(97) ;
   V_USER(62) = V(77) ;
   V_USER(63) = V(126) ;
   V_USER(64) = V(106) ;
   V_USER(65) = V(139) ;
   V_USER(66) = V(104) ;
   V_USER(67) = V(44) ;
   V_USER(68) = V(89) ;
   V_USER(69) = V(107) ;
   V_USER(70) = V(50) ;
   V_USER(71) = V(29) ;
   V_USER(72) = V(140) ;
   V_USER(73) = V(138) ;
   V_USER(74) = V(132) ;
   V_USER(75) = V(30) ;
   V_USER(76) = V(143) ;
   V_USER(77) = V(80) ;
   V_USER(78) = V(118) ;
   V_USER(79) = V(119) ;
   V_USER(80) = V(120) ;
   V_USER(81) = V(112) ;
   V_USER(82) = V(76) ;
   V_USER(83) = V(115) ;
   V_USER(84) = V(114) ;
   V_USER(85) = V(51) ;
   V_USER(86) = V(127) ;
   V_USER(87) = V(54) ;
   V_USER(88) = V(134) ;
   V_USER(89) = V(82) ;
   V_USER(90) = V(56) ;
   V_USER(91) = V(60) ;
   V_USER(92) = V(94) ;
   V_USER(93) = V(90) ;
   V_USER(94) = V(52) ;
   V_USER(95) = V(42) ;
   V_USER(96) = V(117) ;
   V_USER(97) = V(83) ;
   V_USER(98) = V(18) ;
   V_USER(99) = V(5) ;
   V_USER(100) = V(73) ;
   V_USER(101) = V(49) ;
   V_USER(102) = V(93) ;
   V_USER(103) = V(35) ;
   V_USER(104) = V(113) ;
   V_USER(105) = V(102) ;
   V_USER(106) = V(133) ;
   V_USER(107) = V(40) ;
   V_USER(108) = V(74) ;
   V_USER(109) = V(100) ;
   V_USER(110) = V(36) ;
   V_USER(111) = V(41) ;
   V_USER(112) = V(86) ;
   V_USER(113) = V(37) ;
   V_USER(114) = V(38) ;
   V_USER(115) = V(95) ;
   V_USER(116) = V(57) ;
   V_USER(117) = V(141) ;
   V_USER(118) = V(81) ;
   V_USER(119) = V(43) ;
   V_USER(120) = V(65) ;
   V_USER(121) = V(47) ;
   V_USER(122) = V(62) ;
   V_USER(137) = V(121) ;
   V_USER(138) = V(6) ;
   V_USER(139) = V(7) ;
   V_USER(140) = V(8) ;
   V_USER(141) = V(9) ;
   V_USER(142) = V(17) ;
   V_USER(143) = V(10) ;
      
return

% End of Shuffle_kpp2user function                                 
% ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~


