% ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
%                                                                  
% Auxiliary Routines File                                          
%                                                                  
% Generated by KPP-2.2.3 symbolic chemistry Kinetics PreProcessor  
%       (http://www.cs.vt.edu/~asandu/Software/KPP)                
% KPP is distributed under GPL, the general public licence         
%       (http://www.gnu.org/copyleft/gpl.html)                     
% (C) 1995-1997, V. Damian & A. Sandu, CGRER, Univ. Iowa           
% (C) 1997-2005, A. Sandu, Michigan Tech, Virginia Tech            
%     With important contributions from:                           
%        M. Damian, Villanova University, USA                      
%        R. Sander, Max-Planck Institute for Chemistry, Mainz, Germany
%                                                                  
% File                 : mech_Util.m                               
% Time                 : Fri May  7 13:51:21 2021                  
% Working directory    : /home/katie/PACT1D/new_mech_May2021/mechanism
% Equation file        : mech.kpp                                  
% Output root filename : mech                                      
%                                                                  
% ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~




% User INLINED Utility Functions                                   

% End INLINED Utility Functions                                    

% Utility Functions from KPP_HOME/util/util                        
% ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
%                                                                  
% UTIL - Utility functions                                         
%   Arguments :                                                    
%                                                                  
% ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

% ****************************************************************
%                            
% InitSaveData - Opens the data file for writing
%
% ****************************************************************

function InitSaveData ()

global mech_FID

      mech_FID = fopen('mech.dat','w');

return %  InitSaveData

% End of InitSaveData function
% ****************************************************************

% ****************************************************************
%                            
% SaveData - Write LOOKAT species in the data file 
%
% ****************************************************************

function SaveData ()

global VAR FIX CFACTOR LOOKAT NLOOKAT mech_FID

      C(1:143) = VAR(1:143);
      C(143+1:149) = FIX(1:6);
      
      fprintf(mech_FID,'%12.5e,',C(LOOKAT(1:NLOOKAT)));

return %  SaveData

% End of SaveData function
% ****************************************************************

% ****************************************************************
%                            
% CloseSaveData - Close the data file 
%
% ****************************************************************

function CloseSaveData ()
global mech_FID

      fclose( mech_FID );

return %  CloseSaveData

% End of CloseSaveData function
% ****************************************************************


% End Utility Functions from KPP_HOME/util/util                    
% End of UTIL function                                             
% ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~


